2015-01-26  CI Train Bot  <ci-train-bot@canonical.com>

	Releasing 0.9.35+15.04.20150126-0ubuntu1

2015-01-26  Alberts Muktupāvels  <alberts.muktupavels@gmail.com>

	Some improvements:
	1) Fix incorrect parameter in widget draw event function.
	2) Use G_DEFINE_TYPE_WITH_PRIVATE. 
	Approved by: Lars Uebernickel

2014-12-20  Alberts Muktupāvels  <alberts.muktupavels@gmail.com>

	use g_define_type_with_private.

2014-12-20  Alberts Muktupāvels  <alberts.muktupavels@gmail.com>

	fix wrong parameter.

2015-01-26  Alberts Muktupāvels  <alberts.muktupavels@gmail.com>

	Fix some deprecation warnings. 
	Approved by: Dmitry Shachnev, Lars Uebernickel

2014-12-21  Alberts Muktupāvels  <alberts.muktupavels@gmail.com>

	bump required versions also in configure.in.

2014-12-20  Alberts Muktupāvels  <alberts.muktupavels@gmail.com>

	don't use deprecated GTK_TYPE_HBOX and GTK_TYPE_VBOX

2014-12-20  Alberts Muktupāvels  <alberts.muktupavels@gmail.com>

	don't use deprecated gdk_display_get_pointer.

2014-12-20  Alberts Muktupāvels  <alberts.muktupavels@gmail.com>

	don't use deprecated gtk_widget_get_pointer

2014-12-20  Alberts Muktupāvels  <alberts.muktupavels@gmail.com>

	don't use deprecated g_type_init, bump glib required version.

2014-12-20  Alberts Muktupāvels  <alberts.muktupavels@gmail.com>

	don't use deprecated g_thread_init, bump glib required version.

2014-12-20  Alberts Muktupāvels  <alberts.muktupavels@gmail.com>

	gtk_window_set_opacity -> gtk_widget_set_opacity, bump gtk+ required version.

2014-08-19  CI bot  <ps-jenkins@lists.canonical.com>

	Releasing 0.9.35+14.10.20140819-0ubuntu1

2014-08-19  Martin Pitt  <martin.pitt@ubuntu.com>

	Add missing "make" and "libnotify-bin" autopkgtest dependencies, and show test log on failure. 
	Approved by: Sebastien Bacher, PS Jenkins bot

2014-08-19  Martin Pitt  <martin.pitt@ubuntu.com>

	autopkgtest: show test log on failure

2014-08-19  Martin Pitt  <martin.pitt@ubuntu.com>

	Add libnotify-bin autopkgtest dependency to pull in libnotifyN required for the tests

2014-05-13  Martin Pitt  <martin.pitt@ubuntu.com>

	Add missing "make" autopkgtest dependency

2014-02-13  CI bot  <ps-jenkins@lists.canonical.com>

	Releasing 0.9.35+14.04.20140213-0ubuntu1

2014-02-13  Lars Uebernickel  <lars.uebernickel@canonical.com>

	Don't place bubbles over panels on secondary monitors
	
	Using heuristics to find panels didn't prove to be very stable. Instead, use _NET_WORKAREA to find out about the panel size on the primary monitor and assume it's the same on every other monitor as well. 

2014-02-13  Lars Uebernickel  <lars.uebernickel@canonical.com>

	defaults: call get_top_corner() once to initialize screen size

2014-02-13  Lars Uebernickel  <lars.uebernickel@canonical.com>

	Remove old non-aligned-multi-monitor handling
	
	See previous commit for the (hopefully more robust) fix.

2014-02-13  Lars Uebernickel  <lars.uebernickel@canonical.com>

	Assume a panel on every monitor
	
	Unity puts a panel on every monitor. The panels on secondary monitors are not
	contained in the work area because gdk_screen_get_monitor_workarea() returns
	the full geometry for secondary monitors. Synchronous bubbles might thus overlap
	the panels on secondary monitors.
	
	Fix that by assuming a panel with the primary panel's height on every monitor.

2014-02-12  Lars Uebernickel  <lars.uebernickel@canonical.com>

	Use gdk_screen_get_monitor_workarea()
	
	defaults_refresh_screen_dimension_properties() did this manually before, along
	with setting screen size properties. This patch removes the top, right, bottom,
	and left properties, which weren't used anywhere. The width and height
	properties are kept and set in defaults_get_top_corner(), which is always
	called before getting desktop size.

2014-02-12  Lars Uebernickel  <lars.uebernickel@canonical.com>

	Always use _NET_WORKAREA to position notification bubbles 
	
	Trying to find windows that look like they are a panel is fragile. The
	implementation also only looked for panels on one screen, which broke
	positioning for some multi-monitor setups.
	
	Most window managers set the work area correctly now.

2014-01-17  Automatic PS uploader  <ps-jenkins@lists.canonical.com>

	Releasing 0.9.35+14.04.20140117.1-0ubuntu1 (revision 480 from lp:notify-osd).
	
	Approved by PS Jenkins bot.

2014-01-17  Automatic PS uploader  <ps-jenkins@lists.canonical.com>

	Releasing 0.9.35+14.04.20140117.1-0ubuntu1, based on r480

2014-01-16  Samuel Mehrbrodt  <s.mehrbrodt@gmail.com>

	Make 'focus-follow' the default for Multihead environments.
	
	Approved by PS Jenkins bot, Matthew Paul Thomas.

2013-12-11  Samuel Mehrbrodt  <s.mehrbrodt@gmail.com>

	Make 'focus-follow' the default for Multihead environments
	
	This will put the notification always on the screen that has the mouse on it.

2013-12-09  Automatic PS uploader  <ps-jenkins@lists.canonical.com>

	Releasing 0.9.35+14.04.20131209-0ubuntu1 (revision 478 from lp:notify-osd).
	
	Approved by PS Jenkins bot.

2013-12-09  Automatic PS uploader  <ps-jenkins@lists.canonical.com>

	Releasing 0.9.35+14.04.20131209-0ubuntu1, based on r478

2013-12-09  Iain Lane  <iain@orangesquash.org.uk>

	Clear the reference when we g_source_remove the timers so we don't attempt to remove them again in the dispose function.
	
	Approved by PS Jenkins bot, Lars Uebernickel.

2013-12-09  Iain Lane  <iain@orangesquash.org.uk>

	Kill the now useless booleans

2013-12-09  Iain Lane  <iain@orangesquash.org.uk>

	g_source_remove() always returns TRUE now; no need to check for this

2013-12-09  Iain Lane  <iain@orangesquash.org.uk>

	Set IDs to 0 after we g_source_remove() them
	
	To prevent them being double-removed when we destroy the object later on

2013-12-04  Automatic PS uploader  <ps-jenkins@lists.canonical.com>

	Releasing 0.9.35+14.04.20131204.2-0ubuntu1 (revision 476 from lp:notify-osd).
	
	Approved by PS Jenkins bot.

2013-12-04  Automatic PS uploader  <ps-jenkins@lists.canonical.com>

	Releasing 0.9.35+14.04.20131204.2-0ubuntu1, based on r476

2013-12-04  Mirco Müller  <mirco.mueller@canonical.com>

	Avoid invalid call to g_source_remove() thus fixing LP: #1257717. Fixes: https://bugs.launchpad.net/bugs/1257717.
	
	Approved by Lars Uebernickel, PS Jenkins bot.

2013-12-04  Mirco Müller  <mirco.mueller@canonical.com>

	Avoid a potential leak of the source, if a bubble gets dismissed before it normally times out.

2013-12-04  Mirco Müller  <mirco.mueller@canonical.com>

	Avoid invalid call to g_source_remove().

2013-12-04  Jian-Ding Chen  <tim.chen119@canonical.com>

	Update contents of a synchronous notification when replacing it. Fixes: https://bugs.launchpad.net/bugs/404658.
	
	Approved by Mirco Müller, Matthew Paul Thomas, PS Jenkins bot.

2013-11-07  Jian-Ding Chen  <tim.chen119@canonical.com>

	Also update the value property when replacing a synchronous notification

2013-11-07  Lars Uebernickel  <lars.uebernickel@canonical.com>

	Update title and body when replacing a synchronous notification

2013-10-30  Automatic PS uploader  <ps-jenkins@lists.canonical.com>

	Releasing 0.9.35+14.04.20131030.1-0ubuntu1 (revision 473 from lp:notify-osd).
	
	Approved by PS Jenkins bot.

2013-10-30  Automatic PS uploader  <ps-jenkins@lists.canonical.com>

	Releasing 0.9.35+14.04.20131030.1-0ubuntu1, based on r473

2013-10-29  Mirco Müller  <mirco.mueller@ubuntu.com>

	Watch "NameLost" signal on DBus and exit if received.
	
	Approved by Lars Uebernickel, Michał Sawicz, PS Jenkins bot.

2013-10-29  Mirco Müller  <mirco.mueller@ubuntu.com>

	Fix typos, fix some mem-leaks and make notify-osd quit, if other process takes ownership of notification-service.

2013-10-29  Lars Uebernickel  <lars.uebernickel@canonical.com>

	Allow being replaced by a different notification service.
	
	Approved by Mirco Müller, PS Jenkins bot.

2013-10-28  Lars Uebernickel  <lars.uebernickel@canonical.com>

	Allow being replaced by a different notification service

2013-09-18  Automatic PS uploader  <ps-jenkins@lists.canonical.com>

	Releasing 0.9.35+13.10.20130917.1-0ubuntu1 (revision 470 from lp:notify-osd).
	
	Approved by PS Jenkins bot.

2013-09-17  Automatic PS uploader  <ps-jenkins@lists.canonical.com>

	Releasing 0.9.35+13.10.20130917.1-0ubuntu1, based on r470

2013-09-09  Sami Jaktholm  <sjakthol@outlook.com>

	Return correct notification ID to clients. Fixes: https://bugs.launchpad.net/bugs/1191565.
	
	Approved by PS Jenkins bot, Mirco Müller.

2013-09-08  Sami Jaktholm  <sjakthol@outlook.com>

	Return correct notification ID to clients.

2013-07-25  Automatic PS uploader  <ps-jenkins@lists.canonical.com>

	Releasing 0.9.35+13.10.20130725-0ubuntu1 (revision 468 from lp:notify-osd).
	
	Approved by PS Jenkins bot.

2013-07-25  Automatic PS uploader  <ps-jenkins@lists.canonical.com>

	Releasing 0.9.35+13.10.20130725-0ubuntu1, based on r468

2013-07-25  Jeremy Bicha  <jbicha@ubuntu.com>

	Have the tests depend on at-spi2-core.
	
	Approved by PS Jenkins bot, Mirco Müller.

2013-07-25  Jeremy Bicha  <jbicha@ubuntu.com>

	Have the tests depend on at-spi2-core

2013-06-12  Automatic PS uploader  <ps-jenkins@lists.canonical.com>

	Releasing 0.9.35daily13.06.12-0ubuntu1 to ubuntu.
	
	Approved by PS Jenkins bot.

2013-06-12  Automatic PS uploader  <ps-jenkins@lists.canonical.com>

	Releasing 0.9.35daily13.06.12-0ubuntu1, based on r466

2013-06-11  Lars Uebernickel  <lars.uebernickel@canonical.com>

	Don't crash when an application is fullscreen when a notification arrives. Fixes: https://bugs.launchpad.net/bugs/1189281.
	
	Approved by PS Jenkins bot, Mirco Müller.

2013-06-10  Lars Uebernickel  <lars.uebernickel@canonical.com>

	Don't crash when an application is fullscreen when a notification arrives

2013-05-30  Automatic PS uploader  <ps-jenkins@lists.canonical.com>

	Releasing 0.9.35daily13.05.30-0ubuntu1 to ubuntu.
	
	Approved by PS Jenkins bot.

2013-05-30  Automatic PS uploader  <ps-jenkins@lists.canonical.com>

	Releasing 0.9.35daily13.05.30-0ubuntu1, based on r464

2013-05-29  Automatic PS uploader  <ps-jenkins@lists.canonical.com>

	Releasing 0.9.35daily13.05.29ubuntu.unity.next-0ubuntu1 to ubuntu.
	
	Approved by PS Jenkins bot.

2013-05-29  Automatic PS uploader  <ps-jenkins@lists.canonical.com>

	Releasing 0.9.35daily13.05.29ubuntu.unity.next-0ubuntu1, based on r463

2013-05-20  Automatic PS uploader  <ps-jenkins@lists.canonical.com>

	Releasing 0.9.35daily13.05.20ubuntu.unity.next-0ubuntu1 to ubuntu.
	
	Approved by PS Jenkins bot.

2013-05-20  Automatic PS uploader  <ps-jenkins@lists.canonical.com>

	Releasing 0.9.35daily13.05.20ubuntu.unity.next-0ubuntu1, based on r462

2013-05-02  Łukasz 'sil2100' Zemczak  <lukasz.zemczak@canonical.com>

	Modifications related to compliance with our packaging standards.
	
	Approved by PS Jenkins bot, Ken VanDine.

2013-05-01  Łukasz 'sil2100' Zemczak  <lukasz.zemczak@canonical.com>

	Modifications related to compliance with our packaging standards

2012-11-28  Automatic PS uploader  <ps-jenkins@lists.canonical.com>

	Releasing 0.9.35daily12.11.28-0ubuntu1 to ubuntu.
	
	Approved by .

2012-11-28  Automatic PS uploader  <ps-jenkins@lists.canonical.com>

	Releasing 0.9.35daily12.11.28-0ubuntu1, based on r460

2012-11-27  Didier Roche  <didier.roche@canonical.com>

	add boostrap message.
	
	Approved by .

2012-11-27  Didier Roche  <didier.roche@canonical.com>

	add bootstrap message

2012-11-27  Robert Bruce Park  <robert.park@canonical.com>

	This branch is based off lp:~robru/notify-osd/inline-packaging, with the following differences:
	* raring->UNRELEASED
	* Use ./autogen.sh during autoreconf
	* Doesn't try to run tests during build, but instead as a dep8 test (needs its schema to be installed in system)
	* I disabled a test that required the user to click a button in a dialog.  The test suite should be automatic.
	
	Approved by Didier Roche.

2012-11-26  Michael Terry  <michael.terry@canonical.com>

	run tests via dep8

2012-11-23  Robert Bruce Park  <robert.park@canonical.com>

	Convert from cdbs to dh9.

2012-11-22  Robert Bruce Park  <robert.park@canonical.com>

	Inline packaging metadata.

2012-11-26  Andrea Cimitan  <andrea.cimitan@canonical.com>

	Add some color tweak capabilities, and slightly start tweaking colors. Fixes: https://bugs.launchpad.net/bugs/977974.
	
	Approved by jenkins, John Lea.

2012-04-10  Andrea Cimitan  <andrea.cimitan@canonical.com>

	Align saturation bump with unity's updated code

2012-04-02  Andrea Cimitan  <andrea.cimitan@canonical.com>

	Apply further color tweaks

2012-11-26  Michael Terry  <michael.terry@canonical.com>

	When running without a compositor, there is an ugly black border.
	
	This branch fixes that by:
	1) Adding an 'is_composited' argument to defaults_get_bubble_shadow_size and defaults_get_bubble_corner_radius.  If we're not composited, they return 0.0f.
	2) Adding a 'GdkScreen **screen' argument to defaults_get_top_corner
	3) Using these throughout to check composited state wherever these are used.
	
	Additionally, I had to add some oddness in bubble.c for _refresh_background.  There is a bit of code that draws a (seemingly unnecessary) image in shadow-size-units even in the uncomposited case.  But it can't use 0 because that causes a crash to create a 0-sized image.  So I used 1 for that special case.  Seems like it would be cleaner to avoid that path in uncomposited mode, but I didn't feel confident enough to make that change.
	
	Approved by Didier Roche, jenkins.

2012-08-29  Michael Terry  <michael.terry@canonical.com>

	When running without a compositor, don't show a dark black border

2012-03-23  Mirco Müller  <mirco.mueller@ubuntu.com>

	bump version number to 0.9.34 for the new release

2012-03-23  Mirco Müller  <mirco.mueller@ubuntu.com>

	Merged my branch fixing LP: #716458 after review and approval from Gord.

2012-03-23  Mirco Müller  <mirco.mueller@ubuntu.com>

	Updated and fixed manual-test for LP: #716458 bugfix

2012-03-23  Mirco Müller  <mirco.mueller@ubuntu.com>

	Fixed issue with primary monitor setting affecting vertical offset being correctly applied

2012-03-23  Mirco Müller  <mirco.mueller@ubuntu.com>

	Added a manual test for the fix of LP: #716458

2012-03-23  Mirco Müller  <mirco.mueller@ubuntu.com>

	Avoid notifications showing up in unvisible areas within multi-monitor setups... fixes LP: #716458

2012-03-19  Mirco Müller  <mirco.mueller@canonical.com>

	Added manual test for Ryan's patch from the last commit.

2012-03-19  Mirco Müller  <mirco.mueller@canonical.com>

	Merged Ryan's branch after review and approval by myself. This makes notify-osd query the _GNOME_BACKGROUND_REPRESENTATIVE_COLORS property of the root-window for picking the bubbles background-color.

2012-03-09  Ryan Lortie  <desrt@desrt.ca>

	Get background colour using _GNOME_BACKGROUND_REPRESENTATIVE_COLORS
	
	...instead of pulling it out of Unity's GSettings.

2012-03-09  Ryan Lortie  <desrt@desrt.ca>

	Use GdkRGBA instead of GdkColor for background colour
	
	GdkRGBA is more capable in terms of parsing and its API is a better
	match for how we're using it with cairo.

2012-02-08  Mirco Müller  <mirco.mueller@canonical.com>

	Merged avg. bg-color tinting for notification-bubble background after review and approval from Seb. Fixes LP: #810325

2012-02-08  Mirco Müller  <mirco.mueller@ubuntu.com>

	Merge with trunk, reverted to fix the 0-line diff issue

2012-02-07  Mirco Müller  <mirco.mueller@canonical.com>

	reverted last commit, because it didn't go through review yet and was pushed accidentally to trunk

2012-02-07  Mirco Müller  <mirco.mueller@canonical.com>

	Update the branch to latest trunk and add a runtime-test for the Unity schema and its avg. bg-color key, thus notify-osd doesn't crash, if those aren't available

2011-07-21  Mirco Müller  <mirco.mueller@ubuntu.com>

	really make sure the average-color is read at startup

2011-07-20  Mirco Müller  <mirco.mueller@ubuntu.com>

	apply only 75% of the average-color to keep enough contrast to the text and icon, pick up the average upon startup... not only on wallpaper-change

2011-07-19  Mirco Müller  <mirco.mueller@ubuntu.com>

	trying to fix LP: #810325

2012-02-02  Mirco Müller  <mirco.mueller@ubuntu.com>

	Merged pitti's branch avoiding notify-osd to wake up on every key/focus event

2012-02-02  Martin Pitt  <martin@piware.de>

	Use wnck_shutdown() if available.
	
	dnd_has_one_fullscreen_window() initializes libwnck, which causes notify-osd to
	unnecessarily wake up on each focus change and keyboard event, even if there
	are no notification bubbles for a long time.
	
	To fix this, check if libwnck has the new wnck_shutdown() function and use it
	if available.
	
	Bug: https://bugzilla.gnome.org/show_bug.cgi?id=642692
	Bug-Ubuntu: https://launchpad.net/bugs/915389

2012-01-24  Martin Pitt  <martin.pitt@ubuntu.com>

	Use wnck_shutdown() if available.
	
	dnd_has_one_fullscreen_window() initializes libwnck, which causes notify-osd to
	unnecessarily wake up on each focus change and keyboard event, even if there
	are no notification bubbles for a long time.
	
	To fix this, check if libwnck has the new wnck_shutdown() function and use it
	if available.
	
	Bug: https://bugzilla.gnome.org/show_bug.cgi?id=642692
	Bug-Ubuntu: https://launchpad.net/bugs/915389

2012-02-02  Mirco Müller  <mirco.mueller@ubuntu.com>

	Merged Seb's branch to not write to the log-file by default

2012-01-05  Sebastien Bacher  <seb128@ubuntu.com>

	src/log.c: don't log unless the LOG environment variable is set

2012-02-02  Mirco Müller  <mirco.mueller@ubuntu.com>

	Merged Ken's branch for the linker-fix

2011-09-22  Ken VanDine  <ken.vandine@canonical.com>

	Add -lm to LDADD, the linker fails without it.

2012-01-31  Mirco Müller  <mirco.mueller@ubuntu.com>

	Merged Luke's branch for fixing LP: #856071 after review and testing by me

2012-01-05  Luke Yelavich  <luke.yelavich@canonical.com>

	Initialize declared variables

2011-11-25  Luke Yelavich  <luke.yelavich@canonical.com>

	Refactor accessibility code to work properly with GTK3.1+ accessibility code
	changes, thereby allowing Orca et al to query and read notifications again

2012-01-31  Mirco Müller  <mirco.mueller@ubuntu.com>

	Bump version to 0.9.33

2011-11-01  Vincent Untz  <vuntz@gnome.org>

	Build fix: explicitly link against libm

2011-09-19  Mirco Müller  <mirco.mueller@ubuntu.com>

	Fix LP: #827897

2011-09-19  Mirco Müller  <mirco.mueller@ubuntu.com>

	Added GConf->GSettings .convert file to fix LP: #827897

2011-07-15  Mirco Müller  <mirco.mueller@ubuntu.com>

	modified:
	configure.in
	src/Makefile.am
	src/defaults.c
	src/defaults.h
	
	Merged my gsettings-port branch to notify-osd trunk after review and
	approval from Grodon. This migrates notify-osd from GConf to GSettings.
	It covers the pure API-change as well as the migration of the schema,
	thus no packaging-tricks will be needed to move things over.
	
	Because with the introduction of GNOME 3 and moving away from GConf a lot
	of NotifyOSD's dynamic nature to adapt to settings-changes of the user
	had to be dropped, which on the plus-side allowed to get rid of some
	less-frequent executed code-paths.
	
	NotifyOSD's keys in the GSettings-schema are monitored as is the
	system-wide key for the font. But the DPI key from GtkSettings can't be
	monitored.

2011-07-14  Mirco Müller  <mirco.mueller@ubuntu.com>

	No need for any gconf in the autotools configure.in and src/Makefile.am since we live on GSettings now

2011-07-13  Mirco Müller  <mirco.mueller@ubuntu.com>

	Ported NotifyOSD over from GConf to GSettings... with this a lot of code and some functionality of NotifyOSD's dynamic nature - to adapt to user-chagnes on the fly - had to be removed

2011-07-13  Mirco Müller  <mirco.mueller@ubuntu.com>

	Migrated gconf-based settings to GSettings-XML and added the needed autofoo-magic

2011-07-08  Mirco Müller  <mirco.mueller@ubuntu.com>

	Fix broken click-through

2011-07-08  Mirco Müller  <mirco.mueller@ubuntu.com>

	updated C- and Python-examples, updated NEWS

2011-07-08  Mirco Müller  <mirco.mueller@ubuntu.com>

	Oops :)

2011-07-08  Mirco Müller  <mirco.mueller@ubuntu.com>

	multiple fixes for compiler-warnings/errors, more porting work

2011-07-01  Mirco Müller  <mirco.mueller@canonical.com>

	Testing the newly set email-address

2011-07-01  mirco.mueller@canonical.com

	first batch of changes to port notify-osd to gtk+ 3.x, wnck 3.x and libnotify 0.7.x

2011-07-01  mirco.mueller@canonical.com

	Bump the version to start the development-cycle for Oneiric

2011-02-25  Mirco Müller  <mirco.mueller@ubuntu.com>

	bump version number to 0.9.30 for the new release

2011-02-25  Mirco Müller  <mirco.mueller@ubuntu.com>

	updated list of contributors

2011-02-25  Mirco Müller  <mirco.mueller@ubuntu.com>

	modified:
	src/bubble.c
	src/bubble.h
	
	Merged John Ledbetter's bug-fixing branch. This implements pausing the
	timeout when the mouse is over the notification-bubble as described in
	the spec wiki.ubuntu.com/NotifyOSD#Animations%20and%20durations. Thanks
	a lot for the patch, John! Fixes LP: #500663

2010-10-21  John Ledbetter  <john.ledbetter@gmail.com>

	after hovering, bubble timeout should be set to 3000ms per NotifyOSD spec

2010-10-21  John Ledbetter  <john.ledbetter@gmail.com>

	added pausing of bubble during mouse over

2011-02-25  Mirco Müller  <mirco.mueller@ubuntu.com>

	modified:
	src/tile.c
	
	Merged Peter Clifton's fix_dropshadow branch after review, testing and
	approval. Thanks a lot Peter, good catch! Fixes LP: #654921

2010-12-06  Peter Clifton  <pcjc2@cam.ac.uk>

	Be careful negating unsigned integer values
	
	This fixes corruption of the drop shadows around the popup bubble.

2011-02-13  macslow@bangang.de

	modified:
	src/defaults.c
	
	Merged Tony Wang's dual-monitor-fix to trunk after review and approval
	from David and testing by me. Thanks a lot for the fix Tony!

2010-09-20  Tony Wang  <wwwjfy@gmail.com>

	fix the bug about the display position for dual-monitor screen.

2011-02-13  macslow@bangang.de

	modified:
	configure.in
	tests/Makefile.am
	
	Merged pitti's link-gcc-4.5 branch to trunk thus fixing linker errors,
	which happen under natty, because gcc is more strict now using --as-needed.
	Thanks for the patch Martin!

2011-01-03  Martin Pitt  <martin@piware.de>

	Fix linking with --as-needed
	
	gcc 4.5 with --as-needed has a stricter linking behaviour which requires
	explicit linking with all necessary libraries. Some programs use direct libX11
	or libpixman functions, and thus need to link to them explicitly.
	
	Also actually define X_LIBS in configure.in.

2010-10-06  Mirco Müller  <mirco.mueller@ubuntu.com>

	modified:
	configure.in
	src/bubble-window-accessible.c
	src/bubble.c
	src/defaults.c
	src/dialog.c
	tests/test-dnd.c
	tests/test-grow-bubble.c
	tests/test-scroll-text.c
	tests/test-tile.c
	
	Merged Michael Terry's deprecations branch into trunk after review and
	approval from David and myself. It makes notify-osd compile without using
	any deprecated symbols and ready for GTK3. This fixes LP: #655232

2010-10-05  Michael Terry  <mike@mterry.name>

	Don't use deprecated functions.  Bump required GTK+ version to 2.22.  This fixes LP: #655232

2010-08-25  Mirco Müller  <mirco.mueller@ubuntu.com>

	Merged Karl's branch dialog-no-default-button after review and approval by
	me. This avoids having default focus on fallback-dialog buttons.
	Fixes LP: #353843.

2010-08-25  karl@qdh.org.uk

	Updated dialog.c to not set can_default on the buttons

2010-04-15  Mirco Müller  <mirco.mueller@ubuntu.com>

	Merged my fix-559109 branch after review and approval from Cody. This
	fixes LP: #559109.

2010-04-14  Mirco Müller  <mirco.mueller@ubuntu.com>

	Use an empty region for the non-composite fade instead of gtk_widget_show() and gtk_widget_hide(), fixes LP: #559109

2010-04-08  Mirco Müller  <mirco.mueller@ubuntu.com>

	bump version number to 0.9.29 for the new release

2010-04-08  Mirco Müller  <mirco.mueller@ubuntu.com>

	Merged my fix-451086 branch after review and approval from Ted. Fixes LP:
	#451086.

2010-04-07  Mirco Müller  <mirco.mueller@ubuntu.com>

	added C-example testing updating the icon of a notification using all three possible approaches (image_path hint, image_data hint, icon-parameter), this is used to verify the fix for LP: #451086

2010-04-07  Mirco Müller  <mirco.mueller@ubuntu.com>

	reset the stored filename (or path) of an icon, when an icon is passed via a hint, fixes LP: #451086

2010-04-06  Mirco Müller  <mirco.mueller@ubuntu.com>

	bump version number to 0.9.28 for the new release

2010-04-01  Mirco Müller  <mirco.mueller@ubuntu.com>

	Merged my fix-546650 branch after review and approval from Cody. This
	fixes LP: #546650.

2010-04-01  Mirco Müller  <mirco.mueller@ubuntu.com>

	Fix the masking out of the bubble on mouse-over for the non-composited
	desktop. Use gtk_widget_hide() and gtk_widget_show() for this case.
	Initially the plan was to use an animated shape-mask for the
	non-composited case, but that has not been designed yet. So we'll stick
	to this simple binary on/off solution. Fixing LP: #546650

2010-03-31  Mirco Müller  <mirco.mueller@ubuntu.com>

	Made the creation of the empty input-mask for the click-through feature
	much tighter. Less is more :)

2010-03-30  Mirco Müller  <mirco.mueller@ubuntu.com>

	Change the way the "empty" 1x1 pixel large input-mask is created. This is
	needed to fix a regression introduced by gtk+ 2.20.0 in Lucid. Without it
	the click-through capability of notify-osd does not work anymore. This
	fixes LP: #546650.

2010-03-09  Mirco Müller  <mirco.mueller@ubuntu.com>

	bump version number to 0.9.27 for the new release

2010-03-09  Mirco Müller  <mirco.mueller@ubuntu.com>

	refresh-flag for body-tile (surface/blur-cache) needs also to be set in the append-case

2010-03-09  Mirco Müller  <mirco.mueller@ubuntu.com>

	updates to the title- and body-tiles (surface/blur-cache) were not always done correctly, fixes LP: #525546

2010-03-05  Mirco Müller  <mirco.mueller@ubuntu.com>

	bump version number to 0.9.26 for the new release

2010-03-05  Mirco Müller  <mirco.mueller@ubuntu.com>

	because the newer/different blur-algorithm is used now, the blur-radius for the over-/under-shoot throbbing for icon and value-indicator needed to be decreased, fixes LP: #527756

2010-03-05  Mirco Müller  <mirco.mueller@ubuntu.com>

	Merged in lp:~qense/notify-osd/fix-465801 from Sense Hofstede fixing
	LP: #465801

2009-11-01  Sense Hofstede  <sense@qense.nl>

	Use  g_build_filename () in src/log.c to determine the log file path.

2009-10-31  Sense Hofstede  <sense@qense.nl>

	Fix the variable type of dirname in src/log.c and stop freeing it since it's now a constant.

2009-10-31  Sense Hofstede  <sense@qense.nl>

	Use XDG_CACHE_HOME in src/log.c

2010-02-05  Mirco Müller  <mirco.mueller@ubuntu.com>

	bump version number to 0.9.25 for the new release

2010-02-05  Mirco Müller  <mirco.mueller@ubuntu.com>

	Merged my conditional-bubble-refresh, this further improves performance avoiding superfluous re-creating blurred tiles of title-, body- and icon-tiles

2009-10-20  Mirco Müller  <mirco.mueller@ubuntu.com>

	use the full filename (+path) for watching not just the basename of the icon

2009-10-19  Mirco Müller  <mirco.mueller@ubuntu.com>

	there's no need to watch over title and body-message as they always change with an update or append

2009-10-17  Mirco Müller  <mirco.mueller@ubuntu.com>

	don't update/regenerate tile/blur-cache for icon (based on filename), indicator or background if nothing changed in update- or append-case, first step to solve LP: #367049

2010-02-05  Mirco Müller  <mirco.mueller@ubuntu.com>

	Merged in my fix-fractional-point-size branch fixing LP: #396736, LP: #457655, LP: #458413, LP: #459290, LP: #459689

2009-10-25  Mirco Müller  <mirco.mueller@ubuntu.com>

	fixed extracting a fonts point-size with fractional part, fixes LP: #396736, LP: #457655, LP: #458413, LP: #459290, LP: #459689

2010-02-05  Mirco Müller  <mirco.mueller@ubuntu.com>

	revert to using the high quality blur (gaussian) for the drop-shadow, it's only a small pixbuf to blur, so it's still easy on runtime-performance, looks better this way

2010-02-05  Mirco Müller  <mirco.mueller@ubuntu.com>

	use the low-quality blur (exp. blur) everywhere, to speed up the blur generation

2010-02-05  Mirco Müller  <mirco.mueller@ubuntu.com>

	Merged in Jason's fixes for the exp. blur from his lp:~jassmith/notify-osd/exponential-blur branch.

2009-11-04  Jason Smith  <jason@t500>

	Add name to header

2009-11-04  Jason Smith  <jason@t500>

	Correctly implement exponential blur

2010-02-05  Mirco Müller  <mirco.mueller@ubuntu.com>

	Merge changes and fixes from the karmic branch back into trunk.

2009-10-20  Mirco Müller  <mirco.mueller@ubuntu.com>

	bump version number to 0.9.24 for the new release

2009-10-20  Mirco Müller  <mirco.mueller@ubuntu.com>

	added trigger-flag for glow/dim-effect in bubble_start_timer(), because bubble_sync_with() would otherwise always restart the glowing/dimming effect when it is meant to run only once

2009-10-20  Mirco Müller  <mirco.mueller@ubuntu.com>

	text-drop-shadow for title was not drawn at all, accidentally deleted that line somehow, now back in

2009-10-20  Mirco Müller  <mirco.mueller@ubuntu.com>

	Merged branched my theme-icon-prefix branch after review and approval,
	with is like asac's theme-icon-prefix one, but made to apply to the
	Karmic maintainance branch with couple of addidtions

2009-10-19  Mirco Müller  <mirco.mueller@ubuntu.com>

	issue a warning message during compilation about the temp. nature of the icon-name-substitution

2009-10-19  Mirco Müller  <mirco.mueller@ubuntu.com>

	clearly indicate that the icon-name-substitution is only a temp. workaround and will not be kept forever in notify-osd

2009-10-19  Mirco Müller  <mirco.mueller@ubuntu.com>

	added ifdef-guard for the special icon-name-substituion

2009-10-15  Mirco Müller  <mirco.mueller@ubuntu.com>

	Made lp:~asac/notify-osd/theme-icon-prefix branch correctly apply to notify-osd/karmic

2009-10-19  Mirco Müller  <mirco.mueller@ubuntu.com>

	Merged branch fix-425508 after review and approval. Fixes LP: #425508 and
	its duplicates (LP: #426230, LP: #427129, LP: #429025).

2009-10-16  Mirco Müller  <mirco.mueller@ubuntu.com>

	make bubble_append_message_body() a bit more robust, got rid of superfluous casts, minor cosmetic change

2009-10-16  Mirco Müller  <mirco.mueller@ubuntu.com>

	avoid calling free() on uninitialized pointer, added more thorough result-tests, fixes LP: 425508

2009-10-19  Mirco Müller  <mirco.mueller@ubuntu.com>

	Merged branch fix-438417 after review and approval. Actually fixes
	LP: #437088 and its duplicates (LP: #437363, LP: #438417, LP: #438626,
	LP: #440735, LP: #452463, LP: #452893)

2009-10-16  Mirco Müller  <mirco.mueller@ubuntu.com>

	initialize string-pointers to NULL so they don't accidentally point elsewhere and cause free() to segfault, test results more thoroughly, fixes LP: #438417

2009-10-19  Mirco Müller  <mirco.mueller@ubuntu.com>

	Merged branch fix-396736 after review and approval to Karmic maintainance
	branch, fixes LP: #396736.

2009-10-19  Mirco Müller  <mirco.mueller@ubuntu.com>

	made unit-test-able functions out of the reg.-exp. for extracting font-face and point-size, added unit-test for those, also reverted the newline text-filter unit-tests done in rev405, which were forgotton to be reverted in rev407... caused unit-test to fail

2009-10-06  Mirco Müller  <mirco.mueller@ubuntu.com>

	replaced GScanner-based code with GRegex-based code parsing font-face/style/size, adapted title- and body-rendering, fixes LP: #396736

2009-10-15  Mirco Müller  <mirco.mueller@ubuntu.com>

	Merge of my branch fix-443797 after review and approval by David

2009-10-15  Mirco Müller  <mirco.mueller@ubuntu.com>

	integer arithmetic isn't enough for computing the new width and height in scale_pixbuf(), using internal cast to float to avoid missing fractional part, fixes LP: #443979

2009-09-29  Mirco Müller  <mirco.mueller@ubuntu.com>

	took another advice from comments on LP: #361788 and removed -Werror

2009-09-29  Mirco Müller  <mirco.mueller@ubuntu.com>

	added autoconf macro AC_PROG_C_C99 replacing -std=c99, fixes LP: #361788

2009-09-29  Mirco Müller  <mirco.mueller@ubuntu.com>

	Merged my fix-435116 branch after review and approval by Neil. Now the
	throbbing-animation is correctly triggered and displayed again, when
	a indicator-value of -1 or 101 is passed as an integer hint.

2009-09-29  Mirco Müller  <mirco.mueller@ubuntu.com>

	applied patch from Steve Dodier looking up gravity-gconf-key upon startup, fixes LP: #431200

2009-10-06  Mirco Müller  <mirco.mueller@ubuntu.com>

	fixed a small regression regarding newline-character replacement in the text_filter() call

2009-10-01  Mirco Müller  <mirco.mueller@ubuntu.com>

	bump version number to 0.9.23 for the new release

2009-10-01  Mirco Müller  <mirco.mueller@ubuntu.com>

	forgot to add updated unit-test for extended text-filtering functions

2009-10-01  Mirco Müller  <mirco.mueller@ubuntu.com>

	added newline_to_space() for converting CR to SPACE in title-text, fixes LP: #402247

2009-09-30  Mirco Müller  <mirco.mueller@ubuntu.com>

	updating NEWS file with note-worthy changes now, fixes LP: #432486

2009-09-29  Mirco Müller  <mirco.mueller@ubuntu.com>

	took another advice from comments on LP: #361788 and removed -Werror

2009-09-29  Mirco Müller  <mirco.mueller@ubuntu.com>

	added autoconf macro AC_PROG_C_C99 replacing -std=c99, fixes LP: #361788

2009-09-29  Mirco Müller  <mirco.mueller@ubuntu.com>

	Merged my fix-435116 branch after review and approval by Neil. Now the
	throbbing-animation is correctly triggered and displayed again, when
	a indicator-value of -1 or 101 is passed as an integer hint.

2009-09-28  Mirco Müller  <mirco.mueller@ubuntu.com>

	solved the regression of the throbbing-animation for over- and undershoot in the value-indicator introduced by the move to the blur-cache, fixes LP: #435116

2009-09-29  Mirco Müller  <mirco.mueller@ubuntu.com>

	applied patch from Steve Dodier looking up gravity-gconf-key upon startup, fixes LP: #431200

2009-09-27  Mirco Müller  <mirco.mueller@ubuntu.com>

	convert newline characters to spaces, fixes LP: #402247

2009-09-24  Mirco Müller  <mirco.mueller@ubuntu.com>

	bump version number to 0.9.22 for the new release

2009-09-24  Mirco Müller  <mirco.mueller@ubuntu.com>

	Merged my forced-shutdown branch after review and approval. This is a temp.
	work-around until the remaining mem-leaks are fixed.

2009-09-24  Mirco Müller  <mirco.mueller@ubuntu.com>

	another slight change, reaching the shutdown-threshold now "arms" the forced-shutdown checking periodically if the queue is empty before exiting

2009-09-24  Mirco Müller  <mirco.mueller@ubuntu.com>

	Changed the forced-shutdown behavior to still give the notifications in the current queue time to be displayed before shutdown

2009-09-23  Mirco Müller  <mirco.mueller@ubuntu.com>

	added forced shutdown of notify-osd to work around mem-leaks outside of notify-osd's scope, this incorporates parts of the fix-427924 branch, I'll resolve this once I merge it with trunk

2009-09-24  Mirco Müller  <mirco.mueller@ubuntu.com>

	Merged my fix-427924 branch after review and approval, fixing LP: #427924
	a crasher in a glib closure marshaler.

2009-09-23  Mirco Müller  <mirco.mueller@ubuntu.com>

	changed stack_close_notification_handler() to act upon invokation/via DBus, but does not touch or alter the notification-queue controlled by class Stack

2009-09-23  Mirco Müller  <mirco.mueller@ubuntu.com>

	got rid of superfluous print

2009-09-23  Mirco Müller  <mirco.mueller@ubuntu.com>

	removing print-output for debugging, deleted commented out and obsolete code, making branch read for review

2009-09-23  Mirco Müller  <mirco.mueller@ubuntu.com>

	added validity-check

2009-09-23  Mirco Müller  <mirco.mueller@ubuntu.com>

	fixed crash occuring in G_VALUE_HOLDS_STRING

2009-09-23  Mirco Müller  <mirco.mueller@ubuntu.com>

	disable stack_purge_old_bubbles() as that should be done by _weak_notify_cb() now, fixed glitch in _weak_notify_cb()

2009-09-23  Mirco Müller  <mirco.mueller@ubuntu.com>

	stack_close_notification_handler() seems to be causing all the trouble

2009-09-22  Mirco Müller  <mirco.mueller@ubuntu.com>

	trying to fix invalid read hits reported by valgrind using weak reference-pointer and callback for it

2009-09-23  Mirco Müller  <mirco.mueller@ubuntu.com>

	Merged my fix-mem-leaks branch after review and approval. Some of the valgrind-reported mem-leaks are fixed, but there's still work left to be done.

2009-09-23  Mirco Müller  <mirco.mueller@ubuntu.com>

	fixed a couple of "definitely lost" mem-leaks reported by valgrind

2009-09-23  Mirco Müller  <mirco.mueller@ubuntu.com>

	fixed one more "definitely lost" mem-leak reported by valgrind

2009-09-21  Mirco Müller  <mirco.mueller@ubuntu.com>

	Mem-leak fix for g_file from Aurélien.

2009-09-21  Aurelien Gateau  <aurelien.gateau@canonical.com>

	Comment is not relevant anymore

2009-09-21  Aurelien Gateau  <aurelien.gateau@canonical.com>

	Was about to unref the instance returned by g_file_new_for_path()
	when I noticed this would be even simpler

2009-09-21  Mirco Müller  <mirco.mueller@ubuntu.com>

	Merged fix from Aurélien avoiding read of free'ed memory.

2009-09-21  Aurelien Gateau  <aurelien.gateau@canonical.com>

	pango_font_description_set_family_static() expects the font name to be around
	for the life of the PangoFontDescription object.

2009-09-18  Mirco Müller  <mirco.mueller@ubuntu.com>

	got rid of _get_average_char_width(), which was used in non-effective/dead part of the code, also fixing another mem-leak

2009-09-18  Mirco Müller  <mirco.mueller@ubuntu.com>

	mem-leak fixes for text-font-face returned by class Defaults-API, some formatting beautification

2009-09-18  Mirco Müller  <mirco.mueller@ubuntu.com>

	another mem-leak fixed, some formatting beautification

2009-09-18  Mirco Müller  <mirco.mueller@ubuntu.com>

	removed dead code _copy_surface(), some formatting beautification, fixed one mem-leak, possibly two

2009-09-16  Mirco Müller  <mirco.mueller@ubuntu.com>

	Merged my branch for fixing LP: #375408 after review and approval by Neil
	also adding his suggestion for using G_PARAM_STATIC_STRINGS

2009-09-16  Mirco Müller  <mirco.mueller@ubuntu.com>

	added G_PARAM_STATIC_STRINGS to instruct glib to reference strings for property-name/nick/blurb instead of copying them

2009-09-15  Mirco Müller  <mirco.mueller@ubuntu.com>

	Fixing default min/max values for desktop struts, solves LP: #375408

2009-09-10  Mirco Müller  <mirco.mueller@ubuntu.com>

	bump version number to 0.9.21 for the new release

2009-09-10  Mirco Müller  <mirco.mueller@ubuntu.com>

	Merged my slot-allocation branch separating gravity from slot-allocation
	scheme.

2009-09-10  Mirco Müller  <mirco.mueller@ubuntu.com>

	Switched back to default slot-allocation scheme "fixed"

2009-09-10  Mirco Müller  <mirco.mueller@ubuntu.com>

	Added slot-allocation scheme. Can be either fixed or dynamic. Fixed means
	async. bubbles are always in the top-slot and sync. bubbles are always in
	the button slot. Dynamic means the bubble can go in any of the two slots
	depending on which slot is vacant upon initial display. This is independent
	from the chosen gravity.

2009-09-10  Mirco Müller  <mirco.mueller@ubuntu.com>

	Merged Aurélien's spec-version bump branch (to from 0.10 to 1.1) to trunk
	with updated unit-tests for dbus and libnotify.

2009-09-09  Aurelien Gateau  <aurelien.gateau@canonical.com>

	Bumped spec versions in tests as well

2009-09-08  Aurelien Gateau  <aurelien.gateau@canonical.com>

	It turns out the new version of the Notification spec is 1.1.
	
	See http://people.canonical.com/~agateau/notifications-1.1/index.html#why-1.1
	for more info.

2009-09-08  Mirco Müller  <mirco.mueller@ubuntu.com>

	Merged two-slots branch to trunk, sticking with term GRAVITY (used to be
	called PLACEMENT). GRAVITY is now a setting stored in class Defaults. It
	used to be living in class Stack, but didn't really belong there. This
	fixes LP: #371422

2009-09-03  Mirco Müller  <mirco.mueller@ubuntu.com>

	added passing bubble-height to stack_slot_get_position() API, some warning-printout tweaks, more two-slots adaptation, free allocated slot in class Stack on a bubbles close-handler, adjusted default gravity to be NorthEast/top-right (old position)

2009-08-28  Mirco Müller  <mirco.mueller@ubuntu.com>

	hopefully now done with adapting stack_display_position_sync_bubble() to the new slot API in class Stack

2009-08-28  Mirco Müller  <mirco.mueller@ubuntu.com>

	disabled part of unit-test for stack_get_slot_position() as this causes a libwnck assertion to fail on my system

2009-08-27  Mirco Müller  <mirco.mueller@ubuntu.com>

	more complete unit-test now for stack_get_placement(), stack_is_slot_vacant(), stack_allocate_slot(), stack_free_slot() ... still working on stack_get_slot_position() and its unit-test

2009-08-27  Mirco Müller  <mirco.mueller@ubuntu.com>

	pushing for push-sake

2009-09-01  Mirco Müller  <mirco.mueller@ubuntu.com>

	bump version number to 0.9.20 for the new release

2009-09-01  Mirco Müller  <mirco.mueller@ubuntu.com>

	Merged my gravity branch after review and approval by David

2009-09-01  Mirco Müller  <mirco.mueller@ubuntu.com>

	fixed comment, added error-handling function to avoid redundant code

2009-09-01  Mirco Müller  <mirco.mueller@ubuntu.com>

	added monitoring gconf-key for gravity, added gravity-changed signal

2009-08-31  Mirco Müller  <mirco.mueller@ubuntu.com>

	pushing for push-sake again *sigh*, not working yet, renamed PLACEMENT to GRAVITY, moved it from Stack to Defaults, adding gconf-key for it, adding gconf-watcher, reverting back to NorthEast/TopRight as default, moved unit-test for gravity from Stack to Defaults

2009-08-27  Mirco Müller  <mirco.mueller@ubuntu.com>

	bump version number to 0.9.19 for the new release

2009-08-26  Mirco Müller  <mirco.mueller@ubuntu.com>

	Merged my gerror-freeing branch after review and approval from Neil. Also
	did the usual run of unit- and examples-tests and the dreaded distcheck.

2009-08-26  Mirco Müller  <mirco.mueller@ubuntu.com>

	Added correct freeing of any GError used

2009-08-26  Mirco Müller  <mirco.mueller@ubuntu.com>

	Merged my new-position branch after review and approval from Neil, David
	Ted.

2009-08-26  Mirco Müller  <mirco.mueller@ubuntu.com>

	changed Enum-names for BubblePlacement to avoid giving anybody false ideas :)

2009-08-26  Mirco Müller  <mirco.mueller@ubuntu.com>

	Added bubble_get_placement() API to facilitate switching back to old placement or perhaps adding new cases should the need arise later, missing unit-test

2009-08-25  Mirco Müller  <mirco.mueller@ubuntu.com>

	be consistent about dividing vert. gap by 2

2009-08-25  Mirco Müller  <mirco.mueller@ubuntu.com>

	experiment with centering bubbles vertically, sync. bubble always goes above center-line, async. one always below it

2009-08-25  Mirco Müller  <mirco.mueller@ubuntu.com>

	Merged Cody's valgrind-support branch after review and approval.

2009-08-04  Cody Russell  <cody@beamish>

	remove the echo

2009-08-03  Cody Russell  <cody@beamish>

	valgrind make rule

2009-08-25  Mirco Müller  <mirco.mueller@ubuntu.com>

	Added silent-output support for automake-1.11, which falls back to normal
	output if automake < 1.11.

2009-08-25  Mirco Müller  <mirco@VBox-HAL9000>

	removed shave-support and replaced it with plain silent-output support of automake 1.11

2009-08-24  Mirco Müller  <mirco.mueller@ubuntu.com>

	Added support for the shave tool (written by Damien Lespiau) to beautify
	compile- and link-output

2009-08-24  Mirco Müller  <mirco.mueller@ubuntu.com>

	Merged my fade-prevention branch after review and approval.

2009-08-24  Mirco Müller  <mirco.mueller@ubuntu.com>

	Fade-out value now set to 40% as stated in https://wiki.ubuntu.com/NotifyOSD#Interaction

2009-08-24  Mirco Müller  <mirco.mueller@ubuntu.com>

	implemented fade-prevention when bubble is opened while mouse-pointer is over it/within proximity-fade area

2009-08-24  Mirco Müller  <mirco.mueller@ubuntu.com>

	Updated default sizing-factor of body-text height to be 0.9 EMs as stated in https://wiki.ubuntu.com/NotifyOSD#Body%20text

2009-08-21  Mirco Müller  <mirco.mueller@ubuntu.com>

	bump version number to 0.9.18 for the new release

2009-08-21  Mirco Müller  <mirco.mueller@ubuntu.com>

	fix relative path in unit-test for i18n, autotools fun again

2009-08-21  Mirco Müller  <mirco.mueller@ubuntu.com>

	Merged extract-dialog branch after review and approval

2009-08-21  Mirco Müller  <mirco.mueller@ubuntu.com>

	make sure dialog is closed in error-case

2009-08-21  Mirco Müller  <mirco.mueller@ubuntu.com>

	added checks for dialog_info, using g_new0() instead of g_malloc() now, added sanity-checks for arguments in fallback_dialog_show(), ditched some left over comments

2009-07-31  Mirco Müller  <mirco.mueller@ubuntu.com>

	make fallback dialog independent of class Bubble, this is taking Aurélien's work from his lp:~agateau/notify-osd/take2 branch and making it apply to current trunk

2009-08-21  Mirco Müller  <mirco.mueller@ubuntu.com>

	fix for distcheck make-target so included Python examples don't cause problems

2009-08-21  Mirco Müller  <mirco.mueller@ubuntu.com>

	Merged my spam-protection branch after review and approval by Neil and David.

2009-08-21  Mirco Müller  <mirco.mueller@ubuntu.com>

	don't be so pedantic with assertion, dbus_g_method_return_error () even works with a NULL-error

2009-08-21  Mirco Müller  <mirco.mueller@ubuntu.com>

	enforce notification-spam/limit in class Stack, added unit-test for verification

2009-08-18  Mirco Müller  <mirco.mueller@ubuntu.com>

	ensure Python-examples get included in dist. tarball

2009-08-14  Mirco Müller  <mirco.mueller@ubuntu.com>

	bump version number to 0.9.17 for the new release

2009-08-14  Mirco Müller  <mirco.mueller@ubuntu.com>

	Merged in my timings-object branch with unit-tests in preparation coming
	work on "animations and durations"

2009-08-05  Mirco Müller  <mirco.mueller@ubuntu.com>

	small fixes in timings_dispose()

2009-08-04  Mirco Müller  <mirco.mueller@ubuntu.com>

	minor cleanup

2009-07-31  Mirco Müller  <mirco.mueller@ubuntu.com>

	added timings_stop() to the Timings API, extended and fix unit-tests for Timings, unit-tests passes

2009-07-30  Mirco Müller  <mirco.mueller@ubuntu.com>

	fixed some GObject-related mistakes, got rid of timings_destroy() in favour of g_object_unref(), updated the unit-test to reflect the changes

2009-07-30  Mirco Müller  <mirco.mueller@ubuntu.com>

	reimplemented timings as GObject because I need signals not only callbacks, now the unit-test segfaults in some GTestSuite-related call... no clue why

2009-07-30  Mirco Müller  <mirco.mueller@ubuntu.com>

	got rid of some copyNpaste mistakes

2009-07-29  Mirco Müller  <mirco.mueller@ubuntu.com>

	tiny code-cosmetic change

2009-07-29  Mirco Müller  <mirco.mueller@ubuntu.com>

	initial commit of timings object meant to be used in bubble.c to simplify implementing on-screen durations and timeout-limits

2009-08-14  Mirco Müller  <mirco.mueller@ubuntu.com>

	patch from Eitan Isaacson, fixes LP: #409810, but promised stand-alone test-script for this still missing

2009-08-14  Mirco Müller  <mirco.mueller@ubuntu.com>

	Merged Aurélien's additional newline-handling for the text-filter and tests

2009-08-10  Aurelien Gateau  <aurelien.gateau@canonical.com>

	Handle newlines (\n, \r and <br>) as well as <html> and <qt> surrounding tags.

2009-08-10  Aurelien Gateau  <aurelien.gateau@canonical.com>

	Keep regex replacements in an array

2009-08-04  Mirco Müller  <mirco.mueller@ubuntu.com>

	fixing "make distcheck" to finally succeed

2009-08-04  Mirco Müller  <mirco.mueller@ubuntu.com>

	Merged my gobjectification-notification branch after having it reviewed and tested

2009-08-04  Mirco Müller  <mirco.mueller@ubuntu.com>

	minor cleanups

2009-08-04  Mirco Müller  <mirco.mueller@ubuntu.com>

	updated and fixed unit-test for class Notification, passes now

2009-08-04  Mirco Müller  <mirco.mueller@ubuntu.com>

	after gobject-ification class Notification now compiles and links without issues, testing still pending

2009-08-02  Mirco Müller  <mirco.mueller@ubuntu.com>

	initial go at gobject-ificating class Notification

2009-08-04  Mirco Müller  <mirco.mueller@ubuntu.com>

	skip IDE-created files for revision-control

2009-08-04  Mirco Müller  <mirco.mueller@ubuntu.com>

	as per suggestion by the design-team use a default DPI-value of 96.0f in case the DPI-value could not be retrieved from the system

2009-07-31  Mirco Müller  <mirco.mueller@ubuntu.com>

	Added support for using custom icons, taken from Aurélien's lp:~agateau/notify-osd/take2 branch

2009-07-31  Mirco Müller  <mirco.mueller@ubuntu.com>

	Ignore gcov files, also taken from Aurélien's lp:~agateau/notify-osd/take2 branch

2009-07-31  Mirco Müller  <mirco.mueller@ubuntu.com>

	Added a tool to test various Canonical specific features of the Galago spec, this is taken from Aurélien's lp:~agateau/notify-osd/take2 branch, which isn't fully applying to current trunk so I add things piece by piece

2009-07-31  Mirco Müller  <mirco.mueller@ubuntu.com>

	merged my branch "fix defaults disposal" tested it and had it code-reviewed by bratsche

2009-07-31  Mirco Müller  <mirco.mueller@ubuntu.com>

	made sure all use GString objects get correctly freed in defaults_dispose()

2009-07-31  Mirco Müller  <mirco.mueller@ubuntu.com>

	got rid of defaults_del(), made sure only g_object_unref (defaults) is used instead

2009-07-31  Mirco Müller  <mirco.mueller@ubuntu.com>

	merged my branch "fix bubble disposal" after testing it and being code-reviewed by bratsche

2009-07-31  Mirco Müller  <mirco.mueller@ubuntu.com>

	got rid of bubble_del(), moved everything regarding clean-up in bubble_dispose() thus g_object_unref (bubble) works as expected and is the only thing needed for clean-up

2009-07-31  Mirco Müller  <mirco.mueller@ubuntu.com>

	merged my "abstract notification object" branch

2009-07-23  Mirco Müller  <mirco.mueller@ubuntu.com>

	added handling and storing of urgency-level to abstract notification object

2009-07-23  Mirco Müller  <mirco.mueller@ubuntu.com>

	completed timestamp-reception unit-test

2009-07-23  Mirco Müller  <mirco.mueller@ubuntu.com>

	major clusterf**ks in my brain

2009-07-23  Mirco Müller  <mirco.mueller@ubuntu.com>

	added new abstract notification object and unit-test for it, _set_text() still failing, thus not passing new test-notification yet

2009-07-31  Mirco Müller  <mirco.mueller@ubuntu.com>

	merging my "skip test-dnd-fullscreen" branch after review and testing

2009-07-24  Mirco Müller  <mirco.mueller@ubuntu.com>

	added get_wm_name() needed to cleanly skip test_dnd_fullscreen in the DND-test-suite, which fails because under compiz the relevant test-code is not able to deal with compiz' viewports

2009-07-31  Mirco Müller  <mirco.mueller@ubuntu.com>

	merged 2nd mem-leak-fixing patch form asac

2009-07-31  Alexander Sack  <asac@ubuntu.com>

	drop accidentially committed debugging printf's from util.c |destroy_cloned_surface|

2009-07-31  Alexander Sack  <asac@ubuntu.com>

	fix cairo surface and pattern memory management for various error cases in tile.c and bubble.c

2009-07-31  Alexander Sack  <asac@ubuntu.com>

	* fix cairo surface and pattern memory management for various error cases in tile.c and bubble.c

2009-07-31  Alexander Sack  <asac@ubuntu.com>

	ensure that bubbles get freed in stack.c |closed_handler| by popping them
	properly off the stack

2009-07-31  Alexander Sack  <asac@ubuntu.com>

	* ensure that bubbles get freed in stack.c |closed_handler| by popping them
	properly from the stack

2009-07-31  Alexander Sack  <asac@ubuntu.com>

	reuse currently unused bubble.c |bubble_del| in |bubble_finalize| to fix left over resources
	during bubble finalization; do nit unref in bubble_del accordingly; further make |bubble_del|
	a private function and drop it from bubble.h; adjust test-i18n.c to use g_object_unref
	instead of now private bubble_del

2009-07-31  Alexander Sack  <asac@ubuntu.com>

	memleak leak - add utils function |destroy_cloned_surface| and use it in bubble
	|_refresh_background| to free |normal| and |blurred| clones rather than just
	|cairo_surface_destroy|; also convert existing code in tile.c to make use of
	that new function

2009-07-31  Alexander Sack  <asac@ubuntu.com>

	* memleak leak - add utils function |destroy_cloned_surface| and use it in bubble
	_refresh_background to free |normal| and |blurred| clones rather than just cairo_surface_destroy; also convert existing code in tile.c to make use of
	that new function

2009-07-31  Alexander Sack  <asac@ubuntu.com>

	add Alexander Sack <asac@ubuntu.com> to Contributors

2009-07-31  Alexander Sack  <asac@ubuntu.com>

	* add Alexander Sack <asac@ubuntu.com> to Contributors

2009-07-31  Mirco Müller  <mirco.mueller@ubuntu.com>

	merged from asac's branch fixing LP: #378193

2009-07-27  Alexander Sack  <asac@ubuntu.com>

	* fix LP: #378193 - huge memory leak in notify-osd; turned out the biggest share of
	memory leak was due to tile objects not properly destroyed in bubble.c; refactoring code a bit
	to prevent this in future
	- update src/bubble.c

2009-07-27  Mirco Müller  <mirco.mueller@ubuntu.com>

	minor refactoring, renamed draw_layout_grid() to _draw_layout_grid(), moved it to be drawn as part of the background

2009-07-24  Mirco Müller  <mirco.mueller@ubuntu.com>

	state all contributors correctly

2009-07-23  Mirco Müller  <mirco.mueller@ubuntu.com>

	made notes/comments about planned change in bubble.c and stack.c to use abstract notification object, part of planned refactoring work

2009-07-22  Mirco Müller  <mirco.mueller@ubuntu.com>

	patches for adapting notify-osd to new 0.10 fd.o notification spec did not include updated tests, which made libnotify- and dbus-tests fail, fixed now

2009-07-22  Mirco Müller  <mirco.mueller@ubuntu.com>

	fixes for "make distcheck", thanks to Ted Gould and Bastian "hadess" Nocera for their patches and help with autotools

2009-07-21  Mirco Müller  <mirco.mueller@ubuntu.com>

	Merged Eitan's ATK-work adding a text-interface for a11y

2009-04-27  Eitan Isaacson  <eitan@ascender.com>

	Merge from branch (redundant).

2009-04-23  Eitan Isaacson  <eitan@ascender.com>

	Put bubble in expected state for delete events.

2009-04-27  Eitan Isaacson  <eitan@ascender.com>

	put back the return_val_if_fail lines with g_strdup.
	fixed some more Unicode compatability issues.

2009-04-27  Eitan Isaacson  <eitan@ascender.com>

	Got rid of selection methods. No need to implement empty methods, doh.

2009-04-27  Eitan Isaacson  <eitan@ascender.com>

	Added emition of property changes.

2009-04-23  Eitan Isaacson  <eitan@ascender.com>

	added object:text-changed events to ATK interface.

2009-04-23  Eitan Isaacson  <eitan@ascender.com>

	Changed signal names, added emitters.

2009-04-23  Eitan Isaacson  <eitan@ascender.com>

	added getCharacterAtOffset. And made getText utf-8 friendly.

2009-04-23  Eitan Isaacson  <eitan@ascender.com>

	added selection methods

2009-04-23  Eitan Isaacson  <eitan@ascender.com>

	implemented characterCount

2009-04-23  Eitan Isaacson  <eitan@ascender.com>

	implemented getText.

2009-07-21  Mirco Müller  <mirco.mueller@ubuntu.com>

	credit where credit is due, sorry folks I forgot these in the last commit

2009-07-21  Mirco Müller  <mirco.mueller@ubuntu.com>

	Merged branch from Chow Loong Jin, fixes LP: #401809

2009-07-21  Chow Loong Jin  <hyperair@gmail.com>

	Use libwnck instead of gdk to determine whether window is a dock.

2009-07-21  Mirco Müller  <mirco.mueller@ubuntu.com>

	Merging Aurélien's work for the 0.10 version of thd fd.o notification spec

2009-07-17  Aurelien Gateau  <aurelien.gateau@canonical.com>

	Show a warning if image_path hint does not contain a string.

2009-06-23  Aurelien Gateau  <aurelien.gateau@canonical.com>

	Added support for image_data and image_path.
	Bumped spec version.

2009-07-20  Mirco Müller  <mirco.mueller@ubuntu.com>

	added missing statements for header- and source-files

2009-07-20  Mirco Müller  <mirco.mueller@ubuntu.com>

	bump version number to 0.9.15 for the new release

2009-07-20  Mirco Müller  <mirco.mueller@ubuntu.com>

	merging the rest of the work done on the blur-cache branch

2009-07-15  Mirco Müller  <mirco.mueller@ubuntu.com>

	merging first parts of the blur-cache work

2009-07-20  Mirco Müller  <mirco.mueller@ubuntu.com>

	merging my work from blur-cache branch, minor regression over/undershoot not working yet

2009-07-20  Mirco Müller  <mirco.mueller@ubuntu.com>

	fix position regession of icon+title layout case

2009-07-20  Mirco Müller  <mirco.mueller@ubuntu.com>

	yet more refactoring of rendering code, migrated and fixed rendering and positioning of value-gauge/indicator

2009-07-20  Mirco Müller  <mirco.mueller@ubuntu.com>

	added defaults_get_gauge_outline_width(), which will make rendering-code of value-gauge/indicator in bubble.c more comprehensible later on

2009-07-20  Mirco Müller  <mirco.mueller@ubuntu.com>

	added defaults_get_gauge_size() for the value-indicator/gauge, that will allow removing hard-coded values from bubble.c later on and make positioning-code easier

2009-07-20  Mirco Müller  <mirco.mueller@ubuntu.com>

	changed example to render to a window instead of a PNG-file

2009-07-20  Mirco Müller  <mirco.mueller@ubuntu.com>

	fixed comment, some code-formatting fixed

2009-07-20  Mirco Müller  <mirco.mueller@ubuntu.com>

	make the text-with-dropshadow example a bit more interesting looking

2009-07-19  Mirco Müller  <mirco.mueller@ubuntu.com>

	fixed wrong default values for bubble-width, margin- and icon-size

2009-07-19  Mirco Müller  <mirco.mueller@ubuntu.com>

	make sure system-wide font-settings are really used by this example, thus making it a bit more copyNpaste worthy

2009-07-19  Mirco Müller  <mirco.mueller@ubuntu.com>

	functions internal to just bubble should be prefixed with _

2009-07-18  Mirco Müller  <mirco.mueller@ubuntu.com>

	don't recreate surface/blur-cache for icon, if there's no valid pixbuf

2009-07-18  Mirco Müller  <mirco.mueller@ubuntu.com>

	make example more obvious and verbose

2009-07-18  Mirco Müller  <mirco.mueller@ubuntu.com>

	regression fix for calculating max. number of lines for title- and body-text

2009-07-18  Mirco Müller  <mirco.mueller@ubuntu.com>

	yet more refactoring of rendering code, migrated rendering of title, body and indicator to surface/blur-cache, fixed regression in font-rendering regarding hinting/antialiasing/dpi/subpixel-order/etc, small regressions still with indicator-rendering and general positioning of indicator and title

2009-07-18  Mirco Müller  <mirco.mueller@ubuntu.com>

	added API for querying the system's screen DPI-setting

2009-07-17  Mirco Müller  <mirco.mueller@ubuntu.com>

	further refactoring of rendering code, migrated rendering of icon to surface/blur-cache

2009-07-17  Mirco Müller  <mirco.mueller@ubuntu.com>

	added FIXME-comment regarding the nasty trailing include for dialog.c

2009-07-17  Mirco Müller  <mirco.mueller@ubuntu.com>

	tweaked rendering of layout-grid, added display of layout-grid to debug-mode of notify-osd

2009-07-17  Mirco Müller  <mirco.mueller@ubuntu.com>

	don't keep temporarily generated files under revision control

2009-07-16  Mirco Müller  <mirco.mueller@ubuntu.com>

	started refactoring rendering code for bubble, migrated rendering of drop-shadow and background to surface/blur-cache, updated Makefiles, moved copy_surface() to util.c, updated tests

2009-07-14  Mirco Müller  <mirco.mueller@ubuntu.com>

	don't include resource-files of anjuta-IDE in revision control

2009-07-14  Mirco Müller  <mirco.mueller@ubuntu.com>

	don't include binaries in revision control

2009-07-14  Mirco Müller  <mirco.mueller@ubuntu.com>

	fixed missing symbols, got rid of compiler warnings, made sure newly added tests get build properly

2009-07-14  Mirco Müller  <mirco.mueller@ubuntu.com>

	added examples for using and exercising tile- and padded tile-drawing

2009-07-14  Mirco Müller  <mirco.mueller@ubuntu.com>

	added and fixed tile-drawing using padding

2009-07-02  Mirco Müller  <mirco.mueller@ubuntu.com>

	hookup compilation of unit-tests for raico-blur- and tile-API into build-process

2009-07-02  Mirco Müller  <mirco.mueller@ubuntu.com>

	don't keep generated binaries of newly added tests under revision control

2009-07-02  Mirco Müller  <mirco.mueller@ubuntu.com>

	added surface- and blur-cache (tile), added incomplete new blurring functionality (*-blur.[c|h]), see tests/test-raico.c tests/test-tile.c for example-usage of new non-public APIs

2009-07-01  Mirco Müller  <mirco.mueller@ubuntu.com>

	also include title- and body-text-height in debug-output written to console

2009-06-24  Mirco Müller  <mirco.mueller@ubuntu.com>

	added storage of system-font-height in pt to class Defaults, changed bubble-width to 28 EMs, made rendering of title- and body-text comply with sizes stated in spec; fixes LP: #391190

2009-06-24  Mirco Müller  <mirco.mueller@ubuntu.com>

	removed dead/unused code

2009-06-24  Mirco Müller  <mirco.mueller@ubuntu.com>

	added debug-output for font-size, screen-dpi, pixels/EM and bubble-width in pixels; using 1.2 EMs for title and 1.0 EM for body at the moment

2009-06-23  Mirco Müller  <mirco.mueller@ubuntu.com>

	fixed rounding errors in pixel-per-em calculation, changed default bubble width to 24 EMs, fixed title- and body-text height, fixes LP: #336110 and LP: #391190

2009-06-22  Mirco Müller  <mirco.mueller@ubuntu.com>

	needed for the release/build-process for the main repo

2009-06-20  Mirco Müller  <mirco.mueller@ubuntu.com>

	oddly stuff that compiles without warnings/errors locally does not on the build-server, this now hopefully fixes this

2009-06-20  Mirco Müller  <mirco.mueller@ubuntu.com>

	made sure example-util.h is also picked up by packaging voodoo, should fix LP: #389904

2009-06-20  Mirco Müller  <mirco.mueller@ubuntu.com>

	avoid the value-indicator actually drawing a value 101 instead of the really requested 100

2009-06-20  Mirco Müller  <mirco.mueller@ubuntu.com>

	conditional compilation of C- and C#-examples works now, big thanks to Neil J. Patel

2009-06-20  Mirco Müller  <mirco.mueller@ubuntu.com>

	this is broken

2009-06-19  Mirco Müller  <mirco.mueller@ubuntu.com>

	merging my own changes, sometimes I don't get bzr

2009-06-19  Mirco Müller  <mirco.mueller@ubuntu.com>

	bump version number to 0.9.14 for the new release

2009-06-16  Mirco Müller  <mirco.mueller@ubuntu.com>

	at configure-time check for libnotify, fixes LP: #387283

2009-06-16  Mirco Müller  <mirco.mueller@ubuntu.com>

	really make sure we don't get input-focus on map

2009-06-16  Mirco Müller  <mirco.mueller@ubuntu.com>

	Merging DND-work from Aurelien.

2009-06-09  Aurelien Gateau  <aurelien.gateau@canonical.com>

	Merged fix to hide notifications if there is a fullscreen window on the current
	screen.

2009-06-03  Aurelien Gateau  <aurelien.gateau@canonical.com>

	Do not skip notifications if a fullscreen window is present on another desktop.

2009-06-02  Aurelien Gateau  <aurelien.gateau@canonical.com>

	Do not show notifications if a window is fullscreen.

2009-06-02  Mirco Müller  <mirco.mueller@ubuntu.com>

	test proximity-fade

2009-05-15  Mirco Müller  <mirco.mueller@ubuntu.com>

	merged and tested commit 327 of Aurélien's take2 branch

2009-05-15  Mirco Müller  <mirco.mueller@ubuntu.com>

	merged and tested commit 326 of Aurélien's take2 branch

2009-05-15  Mirco Müller  <mirco.mueller@ubuntu.com>

	merged and tested commit 325 of Aurélien's take2 branch

2009-05-15  Mirco Müller  <mirco.mueller@ubuntu.com>

	exclude tests/*.gcov from revision control

2009-05-15  Mirco Müller  <mirco.mueller@ubuntu.com>

	exclude temp. gcov files from revision control

2009-05-15  Mirco Müller  <mirco.mueller@ubuntu.com>

	merged and tested commit 318 of Aurélien's take2 branch

2009-05-15  Mirco Müller  <mirco.mueller@ubuntu.com>

	merged and tested commit 315 of Aurélien's take2 branch

2009-05-15  Mirco Müller  <mirco.mueller@ubuntu.com>

	merged and tested commit 313 of Aurélien's take2 branch

2009-05-07  Aurelien Gateau  <aurelien.gateau@canonical.com>

	Make sure we disconnect any remaining bubbles when deleting the stack.
	
	Avoids crash in unit tests.

2009-05-14  Mirco Müller  <mirco.mueller@ubuntu.com>

	Fixed a compiler warning hinting that dereferencing type-punned pointer will break strict-aliasing rules ... I wonder how David got that pass his gcc ... tststs :)

2009-05-14  Mirco Müller  <mirco.mueller@ubuntu.com>

	Mirco Müller 2009-05-06 added debug-display-bar for urgency-level
	indication, changed related test-case, added Python-examples exercising
	the new bar

2009-05-06  Mirco Müller  <mirco.mueller@ubuntu.com>

	added debug-display-bar for urgency-level indication, changed related test-case, added Python-examples exercising the new bar

2009-05-13  Mirco Müller  <mirco.mueller@ubuntu.com>

	merged, reviewed and tested patch from Eitan Isaacson <eitan@ascender.com>, fixes LP: #364667

2009-05-13  Mirco Müller  <mirco.mueller@ubuntu.com>

	fix LP: #364664

2009-05-13  Mirco Müller  <mirco.mueller@ubuntu.com>

	change interpolation-filter from GDK_INTERP_HYPER to GDK_INTERP_BILINEAR, fixes LP: #364038

2009-05-13  Aurelien Gateau  <aurelien.gateau@canonical.com>

	Added link to wiki page of the spec.

2009-05-12  Aurelien Gateau  <aurelien.gateau@canonical.com>

	Added link to wiki page of the spec.

2009-04-28  Mirco Müller  <mirco.mueller@ubuntu.com>

	trying to better match the colors of the gauge-bar

2009-04-27  Mirco Müller  <mirco.mueller@ubuntu.com>

	got rid of superfluous file

2009-04-27  Mirco Müller  <mirco.mueller@ubuntu.com>

	tweak bevel/gradient of value-indicator rendering, fixes LP: #338215

2009-04-24  Mirco Müller  <mirco.mueller@ubuntu.com>

	example icon-value.cs now also uses the syscall sleep, thus it needs to include Mono.Posix.dll

2009-04-24  Mirco Müller  <mirco.mueller@ubuntu.com>

	more files to exclude from revision-control

2009-04-24  Mirco Müller  <mirco.mueller@ubuntu.com>

	under- and overshoot-effects for icon-value layout-case are now triggered for passed values -1 and 101, also updated examples and test-script to reflect this, fixes LP: #337820

2009-04-23  Mirco Müller  <mirco.mueller@ubuntu.com>

	add compilation of C- and C#-examples to build-process

2009-04-23  Mirco Müller  <mirco.mueller@ubuntu.com>

	don't include resulting binaries of examples in revision control

2009-04-23  Mirco Müller  <mirco.mueller@ubuntu.com>

	use new utility class in all C#-examples

2009-04-23  Mirco Müller  <mirco.mueller@ubuntu.com>

	added examples form development-guidelines

2009-04-17  Mirco Müller  <mirco.mueller@ubuntu.com>

	we need to depend on GTK+ >= 2.14, fixes LP: #361788

2009-04-16  Mirco Müller  <mirco.mueller@ubuntu.com>

	merging with trunk

2009-04-16  Mirco Müller  <mirco.mueller@ubuntu.com>

	Merging back to due to the requested 0.9.12 tarball-release for a
	one-liner to quash a potential multi-head regression.

2009-04-16  Mirco Müller  <mirco.mueller@ubuntu.com>

	bump to new release-number 0.9.12

2009-04-16  Mirco Müller  <mirco.mueller@ubuntu.com>

	applied patch provided by Abhishek Mukherjee <abhishek.mukher.g@gmail.com> to extend the layout-fallback-behaviour for icon-only -> summary-body or summary, fixes LP: #357070

2009-04-16  Mirco Müller  <mirco.mueller@ubuntu.com>

	add missing reference to  and  in Makefile.am, fixes LP: #361788 for real (I hope)

2009-04-16  Mirco Müller  <mirco.mueller@ubuntu.com>

	added missing reference to  which used to cause succeeding Makefile-generation although needed version of glib-library is not found, fixes LP: #361788

2009-04-16  Mirco Müller  <mirco.mueller@ubuntu.com>

	applied and tested patch from Cody Russell introducing a new pixbuf-scaling function, fixes LP: #338483 and LP: #356913

2009-04-15  Mirco Müller  <mirco.mueller@ubuntu.com>

	missed to remove old icon

2009-04-15  Mirco Müller  <mirco.mueller@ubuntu.com>

	rename icon in trunk to correspond with icon-name in Human icon-set, fixes LP: #356554

2009-04-14  Mirco Müller  <mirco.mueller@ubuntu.com>

	updated text/HTML-filtering with patch 356659-10.diff from Cody Russell, updated unit-tests, updated shell test-script, fixes #356659, this is is case-sensitive intentionally

2009-04-10  David Barth  <david.barth@canonical.com>

	correctly check for multihead_mode; fixes LP:331369

2009-04-09  Mirco Müller  <mirco.mueller@ubuntu.com>

	bump to new release-number 0.9.11

2009-04-09  Mirco Müller  <mirco.mueller@ubuntu.com>

	patch by David Barth to reposition a sync. bubble upon appended async. bubble, fixes LP: #334388

2009-04-09  David Barth  <david.barth@canonical.com>

	do not print debug for non-bubbles (NULL); fixes LP:352668

2009-04-08  Mirco Müller  <mirco.mueller@ubuntu.com>

	bump to new release-number 0.9.10

2009-04-08  David Barth  <david.barth@canonical.com>

	merge sync 

2009-04-08  Mirco Müller  <mirco.mueller@ubuntu.com>

	enforce 10-line-limit for body-message text if newline-characters are part of it, fixes DoS-like exploit-weakness of new append-functionality introduced with rev. 280

2009-04-08  David Barth  <david.barth@canonical.com>

	make fallback dialogs more HIG-compliant; thanks to bratsche for the patch; fixes LP: #332178

2009-04-08  Mirco Müller  <mirco.mueller@ubuntu.com>

	merged patch from Eitan Isaacson <eitan@ascender.com>, fixes LP: #356916

2009-04-08  Mirco Müller  <mirco.mueller@ubuntu.com>

	merged patch from Eitan Isaacson <eitan@ascender.com>, fixes LP: #356927

2009-04-08  Mirco Müller  <mirco.mueller@ubuntu.com>

	merged patch from Eitan Isaacson <eitan@ascender.com>, fixes LP: #356858

2009-04-08  Mirco Müller  <mirco.mueller@ubuntu.com>

	missed some more dead code to remove

2009-04-07  Mirco Müller  <mirco.mueller@ubuntu.com>

	removed dead code

2009-04-07  Mirco Müller  <mirco.mueller@ubuntu.com>

	added Contributor-lines to comment-headers

2009-04-07  Mirco Müller  <mirco.mueller@ubuntu.com>

	applied patch provided by Abhishek Mukherjee <abhishek.mukher.g@gmail.com> for append-functionality, fixes LP: #337394

2009-04-04  David Barth  <david.barth@canonical.com>

	fix the workarea fallback case

2009-04-03  Mirco Müller  <mirco.mueller@ubuntu.com>

	bump to new release-number 0.9.9

2009-04-03  Mirco Müller  <mirco.mueller@ubuntu.com>

	merged in Cody's updated text-filter and text-filter unit-test, fixes LP: #353398

2009-04-03  Mirco Müller  <mirco.mueller@ubuntu.com>

	revert commit 267, a dedicated env-var for indicating a non-composited desktop under UNR is not needed

2009-04-03  Mirco Müller  <mirco.mueller@ubuntu.com>

	revert commit 266, fixes LP: #354349

2009-04-01  Mirco Müller  <mirco.mueller@ubuntu.com>

	just got new input from mpt, we don't want _any_ filtering to occur on the summary-text, removed the filter for the summary-text completely

2009-04-01  Mirco Müller  <mirco.mueller@ubuntu.com>

	only pass message-body text through HTML- and markup-filter, the summary text should only be filtered for pango-markup, treat bubble and fallback-dialog in the same manner

2009-04-01  Mirco Müller  <mirco.mueller@ubuntu.com>

	bump to new release-number 0.9.8

2009-04-01  Mirco Müller  <mirco.mueller@ubuntu.com>

	applied, cleaned up and completed a patch from David Barth implementing a fallback behaviour when no gnome-panel was found

2009-04-01  David Barth  <david.barth@canonical.com>

	merge changes with mirco

2009-04-01  Mirco Müller  <mirco.mueller@ubuntu.com>

	applied patch from Bo Thorsen to check for existence of cache-directory in users home-directory

2009-03-31  David Barth  <david.barth@canonical.com>

	fix to the panel detection code to prevent crashers (should fix LP:351516 and LP:351593

2009-03-31  David Barth  <david.barth@canonical.com>

	check if we can write to the file before logging; fixes LP:345770

2009-03-31  David Barth  <david.barth@canonical.com>

	add flag to prevent n-osd from using compositing (workaround for when it is used in UNR)

2009-03-31  David Barth  <david.barth@canonical.com>

	be more consistent and rely on the composite-changed signal only

2009-03-31  Mirco Müller  <mirco.mueller@ubuntu.com>

	ensure pointer to GError to is NULLed before use

2009-03-30  Mirco Müller  <mirco.mueller@ubuntu.com>

	fix mess-up from commit 257 in data/Makefile.am causing dbus autospawning to break

2009-03-27  Mirco Müller  <mirco.mueller@ubuntu.com>

	bump to new release-number 0.9.7

2009-03-27  David Barth  <david.barth@canonical.com>

	improve multihead support: the notifications now stick to the panel whatever the monitor it is on; add a gconf key to enable multihead focus-follow mode

2009-03-27  Mirco Müller  <mirco.mueller@ubuntu.com>

	fix LP: #331927

2009-03-27  Mirco Müller  <mirco.mueller@ubuntu.com>

	fix LP: #349133

2009-03-27  Mirco Müller  <mirco.mueller@ubuntu.com>

	*cough* checking for a valid pointer is a good idea

2009-03-27  Mirco Müller  <mirco.mueller@ubuntu.com>

	quick fix for icon-rescaling in the case when bubble is re-rendered upon change of font-face, font-size or DPI while a bubble is displayed

2009-03-27  Mirco Müller  <mirco.mueller@ubuntu.com>

	Merge changes from David improving control of action requests and 
	additional debug information

2009-03-27  David Barth  <david.barth@canonical.com>

	improve control of action requests and additional debug information

2009-03-26  Mirco Müller  <mirco.mueller@ubuntu.com>

	added merge-proposal from Ken VanDine fixing missing files in generated tarball

2009-03-26  David Barth  <david.barth@canonical.com>

	resync <sigh>

2009-03-26  David Barth  <david.barth@canonical.com>

	enable the icon lookup fallback mechanism for fallback icons like notification-display-brightness-* (fixes #344385)

2009-03-26  Mirco Müller  <mirco.mueller@ubuntu.com>

	got rid of test-output

2009-03-26  Mirco Müller  <mirco.mueller@ubuntu.com>

	small formatting change, added sanity check

2009-03-26  Mirco Müller  <mirco.mueller@ubuntu.com>

	small formatting change

2009-03-26  Mirco Müller  <mirco.mueller@ubuntu.com>

	refactor and redesign parts of class Defaults to adapt dynamically to changes of system-font settings, hooking up to panel-changes still pending

2009-03-26  Mirco Müller  <mirco.mueller@ubuntu.com>

	connect to the 'value-changed' signal of class Defaults and trigger a redraw for all current bubbles

2009-03-25  Mirco Müller  <mirco.mueller@ubuntu.com>

	removed trailing whitespace

2009-03-24  Mirco Müller  <mirco.mueller@ubuntu.com>

	resync again *doh*

2009-03-24  David Barth  <david.barth@canonical.com>

	add debug information for incoming bubbles

2009-03-24  David Barth  <david.barth@canonical.com>

	resync with trunk (sigh)

2009-03-24  David Barth  <david.barth@canonical.com>

	turn off all g_log messages unless DEBUG is set

2009-03-24  Mirco Müller  <mirco.mueller@ubuntu.com>

	move some CFLAGS from src/Makefile.am to configure to to make some Fedora-users happy ;)

2009-03-24  Mirco Müller  <mirco.mueller@ubuntu.com>

	Merge in David's multi-monitor support

2009-03-24  David Barth  <david.barth@canonical.com>

	resync tree with Mirco's latest commits

2009-03-24  David Barth  <david.barth@canonical.com>

	multi-head support (fixes LP #331369)

2009-03-19  David Barth  <david.barth@canonical.com>

	ensure X errors will not kill notify-osd

2009-03-23  Mirco Müller  <mirco.mueller@ubuntu.com>

	don't include temp. files of the IDE in the revision control

2009-03-19  Mirco Müller  <mirco.mueller@ubuntu.com>

	use HTML- and markup-filter for title- and body-message-text in fallback-dialog also

2009-03-19  Mirco Müller  <mirco.mueller@ubuntu.com>

	update test-cases of test-suite to match current implementation of notify-osd

2009-03-19  Mirco Müller  <mirco.mueller@ubuntu.com>

	removed leftover test-debug-output

2009-03-19  Mirco Müller  <mirco.mueller@ubuntu.com>

	bump to new release-number 0.9.6

2009-03-19  David Barth  <david.barth@canonical.com>

	fixes the build issue with test-dnd

2009-03-19  Mirco Müller  <mirco.mueller@ubuntu.com>

	Merging atk-branch form Eitan, fixing compilation issues in Makefiles,
	added logging-support from David

2009-03-18  Eitan Isaacson  <eitan@ascender.com>

	Merge from trunk.

2009-03-03  Eitan Isaacson  <eitan@ascender.com>

	Merge from trunk

2009-02-27  Eitan Isaacson  <eitan@ascender.com>

	Remove codename.

2009-02-27  Eitan Isaacson  <eitan@ascender.com>

	Get rid of ROLE_GLASS_PANE, it is too much trouble for now.

2009-02-26  Eitan Isaacson  <eitan@ascender.com>

	Some cleanup, indentation, headers, etc.

2009-02-26  Eitan Isaacson  <eitan@ascender.com>

	Merge with trunk.

2009-02-25  Eitan Isaacson  <eitan@ascender.com>

	Added "synchronous" string hack to get immediate results for empty titles.

2009-02-25  Eitan Isaacson  <eitan@ascender.com>

	Gave the bubble's window a 'glass pane' role.

2009-02-25  Eitan Isaacson  <eitan@ascender.com>

	Added value-changed events and object:property-change:accessible-value in turn.

2009-02-25  Eitan Isaacson  <eitan@ascender.com>

	Added value interface

2009-02-25  Eitan Isaacson  <eitan@ascender.com>

	Fold bubble accessible into bubble window. Fix tests/Makefile.am

2009-02-25  Eitan Isaacson  <eitan@ascender.com>

	Merge from trunk.

2009-02-24  Eitan Isaacson  <eitan@ascender.com>

	Make bubble's message body the description.

2009-02-24  Eitan Isaacson  <eitan@ascender.com>

	Remove printfs.

2009-02-24  Eitan Isaacson  <eitan@ascender.com>

	Changed _get_type to use the parent class of the BubbleWindow's accessible object class

2009-02-24  Eitan Isaacson  <eitan@ascender.com>

	Just some identation changes.

2009-02-24  Eitan Isaacson  <eitan@ascender.com>

	Make accessible name be the bubble's title.

2009-02-24  Eitan Isaacson  <eitan@ascender.com>

	Merged getters from upstream.

2009-02-24  Eitan Isaacson  <eitan@ascender.com>

	Merge from upstream.

2009-02-24  Eitan Isaacson  <eitan@ascender.com>

	First pass at basic ATK support. The bubble has no useful public properties or getters, so there is no real information given.

2009-03-19  David Barth  <david.barth@canonical.com>

	link with log.c to let the test suite build

2009-03-19  David Barth  <david.barth@canonical.com>

	slog support

2009-03-18  David Barth  <david.barth@canonical.com>

	merge with mirco

2009-03-18  Mirco Müller  <mirco.mueller@ubuntu.com>

	merge in missing dnd unit-test from David

2009-03-18  Mirco Müller  <mirco.mueller@ubuntu.com>

	merge David's work on do-not-disturb mode

2009-03-18  Mirco Müller  <mirco.mueller@ubuntu.com>

	Mirco Müller 2009-03-18 use new HTML-markup filter also for body-message text

2009-03-18  Mirco Müller  <mirco.mueller@ubuntu.com>

	use new HTML-markup filter also for body-message text

2009-03-18  Mirco Müller  <mirco.mueller@ubuntu.com>

	fixed compilation-error due to missing inclusion of util.h

2009-03-18  Mirco Müller  <mirco.mueller@ubuntu.com>

	fix Makefile for unit-tests to also depend on util.c

2009-03-18  Mirco Müller  <mirco.mueller@ubuntu.com>

	fix comments at top of file

2009-03-18  Cody Russell  <cody@beamish>

	Use pango_parse_markup() after stripping HTML

2009-03-18  Cody Russell  <cody@beamish>

	Make filter function public to share between bubble and dialog

2009-03-18  Cody Russell  <cody@beamish>

	Filter HTML

2009-03-18  David Barth  <david.barth@canonical.com>

	re-implemented dnd code with proper dbus/glib bindings + distinguish between xscreensaver & the gnome screensaver

2009-03-18  David Barth  <david.barth@canonical.com>

	add missing test file

2009-03-18  David Barth  <david.barth@canonical.com>

	merge upstream and detect screensaver inhibited for the do-not-disturb mode

2009-03-18  Mirco Müller  <mirco.mueller@ubuntu.com>

	correctly exit if registering on DBus failed, fixes LP: #331150

2009-03-17  Mirco Müller  <mirco.mueller@ubuntu.com>

	merges changes from pitti

2009-03-17  Martin Pitt  <martin.pitt@canonical.com>

	revert gnome-stracciatella merge from r232, this is an Ubuntu specific patch

2009-03-17  Mirco Müller  <mirco.mueller@ubuntu.com>

	added compatibility-checks to ease transition period for applications to pick up the capability- and hint-name-changes in notify-osd, fixes LP: #343553

2009-03-18  David Barth  <david.barth@canonical.com>

	detect screensaver inhibited for the do-not-disturb mode

2009-03-17  Mirco Müller  <mirco.mueller@ubuntu.com>

	bump version number

2009-03-17  Mirco Müller  <mirco.mueller@ubuntu.com>

	merges in deltas from the packaging-branch and thus fix the hickups found

2009-03-17  Mirco Müller  <mirco.mueller@ubuntu.com>

	version bump to 0.9.4

2009-03-17  Mirco Müller  <mirco.mueller@ubuntu.com>

	correct typo, fixes LP: #338837

2009-03-13  Mirco Müller  <mirco.mueller@ubuntu.com>

	bump version to 0.9.3

2009-03-12  Mirco Müller  <mirco.mueller@ubuntu.com>

	don't check for the hint-value 'allowed', just check for the existence of the icon-only or append-hint itself

2009-03-12  Mirco Müller  <mirco.mueller@ubuntu.com>

	bump version number to 0.9.2 for the new release

2009-03-12  Mirco Müller  <mirco.mueller@ubuntu.com>

	updated test-shell-script to reflect new capability- and hint-names

2009-03-12  Mirco Müller  <mirco.mueller@ubuntu.com>

	updated unit test to reflect new capability- and hint-names

2009-03-12  Mirco Müller  <mirco.mueller@ubuntu.com>

	made capability-name and hint-name match the galgo-spec, fixes LP: #341565

2009-03-12  Mirco Müller  <mirco.mueller@ubuntu.com>

	loading stock-icons was broken in load_icon(), now this case is handled correctly, fixes LP: #332042

2009-03-12  Mirco Müller  <mirco.mueller@ubuntu.com>

	don't try to load an icon with an empty filename

2009-03-11  Mirco Müller  <mirco.mueller@ubuntu.com>

	bump the release version for the last bugfix/commit

2009-03-11  Mirco Müller  <mirco.mueller@ubuntu.com>

	use continue instead of break so the loop for adding action-buttons is not skipped, fix LP: #340773

2009-03-04  Mirco Müller  <mirco.mueller@ubuntu.com>

	capability "truncation" now advertised to clients, implements suggestion from LP: #337389

2009-03-04  Mirco Müller  <mirco.mueller@ubuntu.com>

	implemented suggestion from LP: #336108, non-composite bubble does not leave an outline on mouse-hover, completely blanks now

2009-03-03  Mirco Müller  <mirco.mueller@ubuntu.com>

	disable markup-filter if parsing fails, thus summary- or body-text, containing e.g. HTML-markup, is passed as-is to the notification, fixes LP: #331019

2009-03-03  Mirco Müller  <mirco.mueller@ubuntu.com>

	implemented 3-line wrapping for title text

2009-03-03  Mirco Müller  <mirco.mueller@ubuntu.com>

	added max. limit of 10 lines for message-body text using middle ellipsizing for the moment

2009-02-27  David Barth  <david.barth@canonical.com>

	merged in fix from bratsche

2009-02-25  Cody Russell  <cody@beamish>

	Use GTK_STOCK_DIALOG_WARNING always in dialog notificatoins

2009-02-27  David Barth  <david.barth@canonical.com>

	merged in fix from bratsche

2009-02-26  Cody Russell  <cody@beamish>

	Set position to center

2009-02-27  David Barth  <david.barth@canonical.com>

	merged in fix from bratsche

2009-02-26  Cody Russell  <cody@beamish>

	set focus and default to NULL

2009-02-27  David Barth  <david.barth@canonical.com>

	forgot the README file\!

2009-02-27  David Barth  <david.barth@canonical.com>

	changed fallback icons path; thanks to asomething for the proposed change

2009-02-27  David Barth  <david.barth@canonical.com>

	new set of fallback icons

2009-02-27  David Barth  <david.barth@canonical.com>

	removed temporary icons

2009-02-27  David Barth  <david.barth@canonical.com>

	reset icon_only flag for a new synchronous bubble

2009-02-25  Mirco Müller  <mirco.mueller@ubuntu.com>

	make sure text is rendered using system-wide font-settings for antialiasing, subpixel-order and hinting ; fixes LP: #331165

2009-02-25  Mirco Müller  <mirco.mueller@ubuntu.com>

	gave descriptive names to our newly introduced hints, it's now private-synchronous, append and private-icon-only

2009-02-25  Mirco Müller  <mirco.mueller@ubuntu.com>

	don't allow LAYOUT_ICON_ONLY when missing icon pixbuf, nice catch by Frederic "fredp" Peters <fpeters@gnome.org>

2009-02-25  Mirco Müller  <mirco.mueller@ubuntu.com>

	implement support for title-only, fix LP: #333524

2009-02-24  Mirco Müller  <mirco.mueller@ubuntu.com>

	reverting min. value for pixels-per-em to 1

2009-02-24  Mirco Müller  <mirco.mueller@ubuntu.com>

	added API-calls bubble_get_title(), bubble_get_body_message() and bubble_get_value() to satisfy the needs for a11y-adoption, added unit-test for those too

2009-02-24  Mirco Müller  <mirco.mueller@ubuntu.com>

	fixed a GLib-WARNING

2009-02-24  Mirco Müller  <mirco.mueller@ubuntu.com>

	temp. fix for notifications appearing over panel, will visually break for people without a top panel

2009-02-24  Mirco Müller  <mirco.mueller@ubuntu.com>

	updated value-indicator bar-rendering to comply to visual guidelines from design-team

2009-02-24  Mirco Müller  <mirco.mueller@ubuntu.com>

	added icon-only test, updated text on markup-example, changed all icon-usage to icon-names instead of full file-paths

2009-02-24  Mirco Müller  <mirco.mueller@ubuntu.com>

	added missing capability for icon-only/canonical-private-3 to stack_get_capabilities()

2009-02-24  Mirco Müller  <mirco.mueller@ubuntu.com>

	implemented support and test for icon-only layout-case

2009-02-23  Mirco Müller  <mirco.mueller@ubuntu.com>

	also pass a title/summary through the markup-filter, to ensure correct text-display

2009-02-20  Mirco Müller  <mirco.mueller@ubuntu.com>

	set bubble-bg opacity to .9 instead of .8 as requested by design-team

2009-02-20  Mirco Müller  <mirco.mueller@ubuntu.com>

	don't include resource-files of IDE/anjuta in repository

2009-02-19  Mirco Müller  <mirco.mueller@ubuntu.com>

	Sigh, after even more discussion revert the path change from the previous commit

2009-02-19  Mirco Müller  <mirco.mueller@ubuntu.com>

	fixes for using the correct path to icons and gnome-fallback icons in case someone is not using the Human icon theme

2009-02-18  Martin Pitt  <martin.pitt@canonical.com>

	egg/egg-fixed.c: Fix unused symbol on arm, which causes build failure due to -Werror

2009-02-18  Martin Pitt  <martin.pitt@canonical.com>

	src/bubble.c: Ensure that window is always on top (LP #331115)

2009-02-18  Mirco Müller  <mirco.mueller@ubuntu.com>

	changed test-script to use the new icons from the design-team, needs human-icon-theme >= 0.33

2009-02-18  Mirco Müller  <mirco.mueller@ubuntu.com>

	ignore created binary of notify-osd

2009-02-18  Mirco Müller  <mirco.mueller@ubuntu.com>

	change window-title to be picked up by window-match-rules of compiz-plugins and not collide with the old notification-daemon

2009-02-18  David Barth  <david.barth@canonical.com>

	alsdorf is now officially known as 'notify-osd'

2009-02-18  Mirco Müller  <mirco.mueller@ubuntu.com>

	started writing up these needed info-files

2009-02-17  David Barth  <david.barth@canonical.com>

	proper list of server caps returned

2009-02-17  David Barth  <david.barth@canonical.com>

	revert change merged the wrong way

2009-02-17  David Barth  <david.barth@canonical.com>

	spurious gap fix

2009-02-17  Mirco Müller  <mirco.mueller@ubuntu.com>

	fix gaps being too large

2009-02-17  David Barth  <david.barth@canonical.com>

	sync bubble timers to avoid a hole at the top; also fixes the gap between bubbles

2009-02-17  David Barth  <david.barth@canonical.com>

	add call to sync the timer of two bubble together

2009-02-17  Mirco Müller  <mirco.mueller@ubuntu.com>

	remove flicker for bubble appearing/fading under the mouse-pointer, introduce a global FPS-macro used by all timelines and timeout-handlers

2009-02-17  Mirco Müller  <mirco.mueller@ubuntu.com>

	further tweak bubble's drop-shadow and title text-height to comply with visual guidelines

2009-02-17  David Barth  <david.barth@canonical.com>

	remove dead code (bubble_slide_to)

2009-02-17  David Barth  <david.barth@canonical.com>

	use timeout values expressed in milliseconds to be more consistent with the rest of the code (and the spec)

2009-02-17  David Barth  <david.barth@canonical.com>

	moved code into a new dedicated display.c module (still part of the stack object); fixed a tricky race condition when two bubles fade out at the same time

2009-02-17  David Barth  <david.barth@canonical.com>

	use default icons now

2009-02-17  David Barth  <david.barth@canonical.com>

	more consistenly nulls the timeout when the bubble is hidden, as an indicator that it has just timed-out but was not disposed yet

2009-02-13  David Barth  <david.barth@canonical.com>

	install icons directly under /icons (hicolors/scalable does not work); register the additional path at application startup

2009-02-13  David Barth  <david.barth@canonical.com>

	make sure icons are scaled to the exact size we need (for non-SVG icons)

2009-02-13  David Barth  <david.barth@canonical.com>

	advertise support for canonical-private-2, ie 'append'

2009-02-13  David Barth  <david.barth@canonical.com>

	use short names for icons

2009-02-13  Mirco Müller  <mirco.mueller@ubuntu.com>

	ups, overlooked typo

2009-02-13  Mirco Müller  <mirco.mueller@ubuntu.com>

	use local priv-pointer instead of GET_PRIVATE() where appropriate

2009-02-13  Mirco Müller  <mirco.mueller@ubuntu.com>

	updated all comment-headers to the proper version

2009-02-13  David Barth  <david.barth@canonical.com>

	make targets for icons

2009-02-13  David Barth  <david.barth@canonical.com>

	icon packaging (volume, brightness)

2009-02-13  Mirco Müller  <mirco.mueller@ubuntu.com>

	merging David'd dialog box fallback changes

2009-02-13  Mirco Müller  <mirco.mueller@ubuntu.com>

	implemented protection from compiz' blur-plugin for bubble drop-shadow

2009-02-12  David Barth  <david.barth@canonical.com>

	dialog box fallback for notifications with actions

2009-02-12  Mirco Müller  <mirco.mueller@ubuntu.com>

	merge after lock-break

2009-02-12  Mirco Müller  <mirco.mueller@ubuntu.com>

	remove the 2nd newline when append-hint is used

2009-02-12  Mirco Müller  <mirco.mueller@ubuntu.com>

	typo fix

2009-02-12  Mirco Müller  <mirco.mueller@ubuntu.com>

	add test for markup-swallowing

2009-02-12  Mirco Müller  <mirco.mueller@ubuntu.com>

	added more test-binaries to be ignore by the revision control

2009-02-12  Mirco Müller  <mirco.mueller@ubuntu.com>

	added test-case for testing support of append-hint

2009-02-12  Mirco Müller  <mirco.mueller@ubuntu.com>

	added 2nd newline when append-hint is used

2009-02-11  Mirco Müller  <mirco.mueller@ubuntu.com>

	second chunk of append-hint support, unit-test and animation still missing ... otherwise complete according to spec section 'Concatenating existing bubbles'

2009-02-11  Mirco Müller  <mirco.mueller@ubuntu.com>

	first chunk of append-hint support implemented

2009-02-11  Mirco Müller  <mirco.mueller@ubuntu.com>

	fixed opacity-value for over/undershoot animation, fixed height calculation in bubble_recalc_size() when title+body is smaller than icon-size, added surface-buffers for dim/glow cache + initializing and teardown

2009-02-11  Mirco Müller  <mirco.mueller@ubuntu.com>

	fix compile-time error regarding missing symbol sqrt()

2009-02-10  David Barth  <david.barth@canonical.com>

	missing files

2009-02-10  David Barth  <david.barth@canonical.com>

	initial (dummy) support for do-not-disturb mode

2009-02-10  David Barth  <david.barth@canonical.com>

	add support for sending close signals when the notification times out; fix a potential memory leak with synchronous getter/setter

2009-02-09  David Barth  <david.barth@canonical.com>

	advertise synchronous support as 'canonical-private-1'; do not advertise markup support anymore; with test

2009-02-09  David Barth  <david.barth@canonical.com>

	re-use sync. bubble to avoid flicker

2009-02-09  David Barth  <david.barth@canonical.com>

	suppress debug messages

2009-02-08  David Barth  <david.barth@canonical.com>

	emit time out signal even in non-compositing mode

2009-02-08  David Barth  <david.barth@canonical.com>

	connect with sync. bubble's timeout signal

2009-02-08  David Barth  <david.barth@canonical.com>

	skip pager/taskbar

2009-02-06  David Barth  <david.barth@canonical.com>

	merge/resolve

2009-02-06  Mirco Müller  <mirco.mueller@ubuntu.com>

	fix segfault

2009-02-06  Mirco Müller  <mirco.mueller@ubuntu.com>

	tweak em-values to match the visual-guideline better

2009-02-06  David Barth  <david.barth@canonical.com>

	improve sync. bubble handling

2009-02-06  David Barth  <david.barth@canonical.com>

	add animation support to the overshoot effect

2009-02-06  David Barth  <david.barth@canonical.com>

	missing test files

2009-02-06  David Barth  <david.barth@canonical.com>

	merged in animation and other fixes from the alsdorf-clutter branch

2009-02-06  David Barth  <david.barth@canonical.com>

	present bubbles with a real GDK_WINDOW_TYPE_HINT_NOTIFICATION

2009-02-06  David Barth  <david.barth@canonical.com>

	big rename clutter -> egg to protect the innoncents

2009-02-06  David Barth  <david.barth@canonical.com>

	resync branch with the LP version

2009-01-30  Mirco Müller  <mirco.mueller@ubuntu.com>

	got rid of redraw_handler() and its driving timeout, because that and the clutter-alpha/timeline were fighting for setting the windows opacity

2009-02-06  David Barth  <david.barth@canonical.com>

	restore support for notifications with just a title

2009-02-06  David Barth  <david.barth@canonical.com>

	merge of mirco's upstream fixes

2009-02-06  David Barth  <david.barth@canonical.com>

	better simple layout (fastpath for sync. bubbles)

2009-02-06  David Barth  <david.barth@canonical.com>

	remove some debug messages

2009-02-05  David Barth  <david.barth@canonical.com>

	merge mirco's upstream changes

2009-02-05  David Barth  <david.barth@canonical.com>

	new layout algorithm with synchronous always on top

2009-02-05  David Barth  <david.barth@canonical.com>

	ahem... bubble.c now compiles again...

2009-02-05  David Barth  <david.barth@canonical.com>

	initial support for urgent notifications

2009-02-05  David Barth  <david.barth@canonical.com>

	workaround for notify_notification_close(), with test

2009-02-05  David Barth  <david.barth@canonical.com>

	removed dead code and other cleanups

2009-02-05  David Barth  <david.barth@canonical.com>

	alternative layout algorithm

2009-02-04  David Barth  <david.barth@canonical.com>

	fixes the issue with fade-in
	
	Actually that was a problem with the compiz fade plugin. You need to set 
	window_match to !type=dock to avoid the nasty flashing effect while the 
	bubble fades in.

2009-02-04  David Barth  <david.barth@canonical.com>

	merging mirco's upstream changes

2009-02-03  David Barth  <david.barth@canonical.com>

	sync'ed with mirco's changes on the main branch'

2009-02-03  David Barth  <david.barth@canonical.com>

	re-enable fade-in

2009-02-03  David Barth  <david.barth@canonical.com>

	support for the new 'synchronous' hint

2009-01-30  David Barth  <david.barth@canonical.com>

	fade-out with clutter; support for fade-in disabled due to shadow drawing error

2009-01-30  David Barth  <david.barth@canonical.com>

	removed old unused files

2009-01-30  David Barth  <david.barth@canonical.com>

	clean dead layout code

2009-01-30  David Barth  <david.barth@canonical.com>

	fix opacity conflict with the redraw_handler

2009-01-30  David Barth  <david.barth@canonical.com>

	improved object management (for auto-cleanup)

2009-01-30  David Barth  <david.barth@canonical.com>

	test fade-out code using the clutter API

2009-01-30  David Barth  <david.barth@canonical.com>

	the unmistkeable typo

2009-01-30  David Barth  <david.barth@canonical.com>

	initial port (hack): clutter_timeline and clutter_alpha mainly; with tests

2009-01-30  David Barth  <david.barth@canonical.com>

	import of related clutter-0.8.2 tests

2009-01-30  David Barth  <david.barth@canonical.com>

	partial import of clutter-0.8.2 modules

2009-02-06  Mirco Müller  <mirco.mueller@ubuntu.com>

	tweak default text-heigts for title and body

2009-02-06  Mirco Müller  <mirco.mueller@ubuntu.com>

	completed the non-composite fade-on-hover case by punching out the inner part of a bubble leaving just a thin 2px wide outline

2009-02-05  Mirco Müller  <mirco.mueller@ubuntu.com>

	fix for insanely long words to be broken up so they don't get rendered beyond the left edge

2009-02-05  Mirco Müller  <mirco.mueller@ubuntu.com>

	Corrected generation of shape-mask and update of the latter based on screen-compositing changes, fixes LP: #323101 and LP: #325192, got rid of some debug-output

2009-02-05  Mirco Müller  <mirco.mueller@ubuntu.com>

	Enforce layout-rules of jaunty's notification-spec. Bubbles without a valid layout are not displayed or added to the stack. This fixes rendering-glitch reported in LP: #324802

2009-02-05  Mirco Müller  <mirco.mueller@ubuntu.com>

	added gio-2.0 to GLIB autoconf-var

2009-02-05  Mirco Müller  <mirco.mueller@ubuntu.com>

	calculation of bubble height corrected, that fixes LP: #325696

2009-02-05  Mirco Müller  <mirco.mueller@ubuntu.com>

	minor cosmetic formatting change

2009-02-05  Mirco Müller  <mirco.mueller@ubuntu.com>

	implemented undershoot state for value-indicator, animation still pending

2009-02-05  Mirco Müller  <mirco.mueller@ubuntu.com>

	changed the opacity of the two svg-icons

2009-02-04  Mirco Müller  <mirco.mueller@ubuntu.com>

	refactored the layout- and rendering-code some more, implemented rendering of overshoot-state for the value-indicator, undershoot-state and animations for those still missing

2009-02-04  Mirco Müller  <mirco.mueller@ubuntu.com>

	hopefully fixed stripping of HTML/markup from message-body text for good now, started refactoring the rendering- and layout-code as preparation for value-indicator over- and under-shoot animation-effects

2009-02-03  Mirco Müller  <mirco.mueller@ubuntu.com>

	work on moving from pixel-measurements to em, bubble-height calculation still broken

2009-01-30  Mirco Müller  <mirco.mueller@ubuntu.com>

	added stripping of typical HTML-tag for text-formatting, removed markup-capability from stack_get_capabilities(), unit-test pending

2009-01-30  Mirco Müller  <mirco.mueller@ubuntu.com>

	fixed icon sizes

2009-01-30  Mirco Müller  <mirco.mueller@ubuntu.com>

	minor tweaks to get yet closer to the looks of the visual-guidelines

2009-01-29  Mirco Müller  <mirco.mueller@ubuntu.com>

	implemented behind-bubble blur using compiz-hint, which is picked up by its blur-plugin, only works reliably on nvidia-hw using the proprietary driver, but OpenSource Xorg-drivers should catch up soon (go i965 :)

2009-01-29  Mirco Müller  <mirco.mueller@ubuntu.com>

	merging commited comment-addition from David

2009-01-28  David Barth  <david.barth@canonical.com>

	just a remark for the layout algorithm

2009-01-29  Mirco Müller  <mirco.mueller@ubuntu.com>

	fix horizontal and vertical alignment/positioning of title in the icon+title layout case

2009-01-28  Mirco Müller  <mirco.mueller@ubuntu.com>

	first chunk for supporting correct bubble-rendering in non-composite case

2009-01-26  Mirco Müller  <mirco.mueller@ubuntu.com>

	small fix for _calc_title_height()

2009-01-26  Mirco Müller  <mirco.mueller@ubuntu.com>

	implemented calculation of default/min. bubble-width, based on the average width of a character rendered in the default system-font at the default font-size

2009-01-26  Mirco Müller  <mirco.mueller@ubuntu.com>

	fix the calculation of the default minimal height of a bubble, now adapting to the icon-size ... fixes rendering of bubbles with an indicator/value/gauge

2009-01-23  David Barth  <david.barth@canonical.com>

	fix mouseover, moving timers into the bubble_show() function

2009-01-23  David Barth  <david.barth@canonical.com>

	use g_debug/g_warning; commented out for the build

2009-01-23  David Barth  <david.barth@canonical.com>

	default size changed to 280pix wide

2009-01-23  David Barth  <david.barth@canonical.com>

	fix auto height resizing

2009-01-23  David Barth  <david.barth@canonical.com>

	new layout algorithm; remove feedback_bubble property; make that a synchronous property in bubble.c

2009-01-23  Mirco Müller  <mirco.mueller@ubuntu.com>

	new mouse-over behaviour, now using instant fade according to visual-guidelines

2009-01-23  Mirco Müller  <mirco.mueller@ubuntu.com>

	disabled draw_layout_grid() for the moment, added dynamic bubble-height calculation based on content (with a remaining bug of bubbles being always to tall)

2009-01-23  Mirco Müller  <mirco.mueller@ubuntu.com>

	started adding bubble-height calculation based on content

2009-01-23  Mirco Müller  <mirco.mueller@ubuntu.com>

	temp. adding drawing of ink- and log-rects of for debugging text-positioning

2009-01-23  Mirco Müller  <mirco.mueller@ubuntu.com>

	second step refactored layout-code added

2009-01-23  Mirco Müller  <mirco.mueller@ubuntu.com>

	added temp. layout-grid to bubble for debugging title- and body-message positioning, first step of refactored layout-code added

2009-01-22  Mirco Müller  <mirco.mueller@ubuntu.com>

	don't use pango_font_description_set_absolute_size() but ..._set_size()

2009-01-21  Mirco Müller  <mirco.mueller@ubuntu.com>

	added informative comments to draw_value_indicator()

2009-01-21  Mirco Müller  <mirco.mueller@ubuntu.com>

	minor refactoring

2009-01-21  Mirco Müller  <mirco.mueller@ubuntu.com>

	"g" everything :)

2009-01-21  Mirco Müller  <mirco.mueller@ubuntu.com>

	hooked up the colors for title-text, body-text, bubble-bg and value-indicator following the visual-guidelines ... using macros for the moment

2009-01-21  Mirco Müller  <mirco.mueller@ubuntu.com>

	fixed small bug in step_value calculation in draw_value_indicator()

2009-01-21  Mirco Müller  <mirco.mueller@ubuntu.com>

	added a body-markup test to our toy shell-script

2009-01-21  Mirco Müller  <mirco.mueller@ubuntu.com>

	Ups, forgot to commit/push the updated server-caps for markup-support

2009-01-21  Mirco Müller  <mirco.mueller@ubuntu.com>

	introduced first variant of draw_value_indicator() and adapted its rendering to the visual-guidelines ... using 13 bars

2009-01-21  Mirco Müller  <mirco.mueller@ubuntu.com>

	use better image-scaling filter for pixmap-loading

2009-01-21  Mirco Müller  <mirco.mueller@ubuntu.com>

	added support for markup in body/message-text

2009-01-21  Mirco Müller  <mirco.mueller@ubuntu.com>

	first step in making bubbles fully adapt to visual-guidelines

2009-01-19  David Barth  <david.barth@canonical.com>

	more build fixes

2009-01-19  David Barth  <david.barth@canonical.com>

	remove remaining RSVG dep in the Makefile.am for tests

2009-01-19  David Barth  <david.barth@canonical.com>

	remove librsvg dependency (not required anymore)

2009-01-19  David Barth  <david.barth@canonical.com>

	remove debug code

2009-01-19  David Barth  <david.barth@canonical.com>

	use *logical* extent for title layout; timeout is now 5s

2009-01-19  David Barth  <david.barth@canonical.com>

	expire notification bubbles outside of the signal handler to prevent 
	race conditions (and segfaults)
	reverse layout direction to display new bubbles at the bottom of the 
	stack to avoid too much sliding

2009-01-19  David Barth  <david.barth@canonical.com>

	more crude layout fixes

2009-01-18  David Barth  <david.barth@canonical.com>

	crude layout fixes

2009-01-16  Mirco Müller  <mirco.mueller@ubuntu.com>

	first quick fixes for the compliance of the visual-guidelines we finally have, so we can test-package a first PPA for internal use

2009-01-16  Mirco Müller  <mirco.mueller@ubuntu.com>

	merging changes from David

2009-01-16  David Barth  <david.barth@canonical.com>

	sanity checks

2009-01-16  David Barth  <david.barth@canonical.com>

	add support for theme and stock icons; new default icon size

2009-01-16  David Barth  <david.barth@canonical.com>

	set new defaults

2009-01-16  Mirco Müller  <mirco.mueller@ubuntu.com>

	added important comment to stack_pop_last_bubble

2009-01-16  Mirco Müller  <mirco.mueller@ubuntu.com>

	animated stack layout, WARNING: this does break the test-suite

2009-01-16  Mirco Müller  <mirco.mueller@ubuntu.com>

	updated the notify-send examples with some more interesting bubbles

2009-01-16  Mirco Müller  <mirco.mueller@ubuntu.com>

	added threshold-test for stack so it does pop bubbles that go beyond the max. allowed stack-height

2009-01-15  Mirco Müller  <mirco.mueller@ubuntu.com>

	implemented close-notification handler

2009-01-15  Mirco Müller  <mirco.mueller@ubuntu.com>

	walk stack-list in revese order, fix double increment of internal id-counter

2009-01-15  Mirco Müller  <mirco.mueller@ubuntu.com>

	correct app-name for window-title in a bubble

2009-01-14  Mirco Müller  <mirco.mueller@ubuntu.com>

	added API-call to class Defaults for max. stack-height, added unit-test for new call, updated class Stack to make use of it

2009-01-14  Mirco Müller  <mirco.mueller@ubuntu.com>

	added sanity-check to bubble_reset_timer() fixing unit-test

2009-01-14  Mirco Müller  <mirco.mueller@ubuntu.com>

	cosmetic change to a comment

2009-01-14  Mirco Müller  <mirco.mueller@ubuntu.com>

	implemented timeout-reset

2009-01-14  Mirco Müller  <mirco.mueller@ubuntu.com>

	optimize for more power-efficiency by using full-second resolution for bubble-timeouts utilizing g_timeout_add_seconds()

2009-01-14  David Barth  <david.barth@canonical.com>

	improve notification update management; make sure the visual is actually refreshed; with more unit tests

2009-01-14  David Barth  <david.barth@canonical.com>

	new bubble_refresh() call

2009-01-14  David Barth  <david.barth@canonical.com>

	typos

2009-01-14  David Barth  <david.barth@canonical.com>

	add support for icons passed on the wire (icon_data hint)

2009-01-14  David Barth  <david.barth@canonical.com>

	handle notification updates (same id) + some cleanups

2009-01-14  David Barth  <david.barth@canonical.com>

	cleanups

2009-01-14  David Barth  <david.barth@canonical.com>

	get rid of keyboard and delete handler

2009-01-14  David Barth  <david.barth@canonical.com>

	add support for specifying a pixbuf icon directly

2009-01-14  Mirco Müller  <mirco.mueller@ubuntu.com>

	made stack-list work again

2009-01-13  Mirco Müller  <mirco.mueller@ubuntu.com>

	fixed bug of one single bubble triggering fade-out of all other bubbles in stack by removing global vars for mouse-over-state and opacity ... yeah David you may hit me with a bat :)

2009-01-13  Mirco Müller  <mirco.mueller@ubuntu.com>

	new and leaner drop-shadow rendering

2009-01-12  Mirco Müller  <mirco.mueller@ubuntu.com>

	introduced a signal TIMED_OUT to class Bubble, hooking up closing/hiding of a bubble to this signal pending

2009-01-12  Mirco Müller  <mirco.mueller@ubuntu.com>

	avoid multiple calls to bubble_hide() for an already hidden bubble

2009-01-12  Mirco Müller  <mirco.mueller@ubuntu.com>

	cosmetic formatting change

2009-01-12  Mirco Müller  <mirco.mueller@ubuntu.com>

	moved timer_id to priv. bubble struct, added setters and getters for timeout and timer_id

2009-01-12  Mirco Müller  <mirco.mueller@ubuntu.com>

	fortify sanity checks

2009-01-09  Mirco Müller  <mirco.mueller@ubuntu.com>

	reverting changes of temp. revision 50

2009-01-09  Mirco Müller  <mirco.mueller@ubuntu.com>

	temp. branch for Neil to take a look at

2009-01-09  David Barth  <david.barth@canonical.com>

	add support for server info and capabilities

2009-01-08  David Barth  <david.barth@canonical.com>

	handle RTL support in the layout code + misc cleanups

2009-01-08  David Barth  <david.barth@canonical.com>

	really add the i18n suite...

2009-01-08  David Barth  <david.barth@canonical.com>

	removed dead code and variables

2009-01-08  David Barth  <david.barth@canonical.com>

	add i18n test suite (requires a human eye to check the result)

2009-01-07  Mirco Müller  <mirco.mueller@ubuntu.com>

	don't do the glossy part of the bubble, as set forth by the visual guide

2009-01-07  Mirco Müller  <mirco.mueller@ubuntu.com>

	temp. disabled rendering of blur, until I've time to do the optimized version

2009-01-06  David Barth  <david.barth@canonical.com>

	added stack layout function

2008-12-16  David Barth  <david.barth@canonical.com>

	sync upstream; stack layout algorithm + initial code; initial apport support

2008-12-09  David Barth  <david.barth@canonical.com>

	initial apport support

2008-12-09  David Barth  <david.barth@canonical.com>

	rework the code for pushing bubbles on the stack

2008-12-09  David Barth  <david.barth@canonical.com>

	missing test-dbus.c <sigh>

2008-12-09  David Barth  <david.barth@canonical.com>

	missing dbus.[ch]

2008-12-08  David Barth  <david.barth@canonical.com>

	add API to display immediate feedback: stack_show_feedback_bubble(bubble);

2008-12-07  David Barth  <david.barth@canonical.com>

	reworked the stack API to only let external modules do stack_push_bubble(stack, bubble)

2008-12-06  David Barth  <david.barth@canonical.com>

	added unit test for the dbus service singleton mode

2008-12-07  Mirco Müller  <mirco.mueller@ubuntu.com>

	added new icons, started working on blur and drop-shadows, not optimized yet, but push on request by David

2008-12-06  Mirco Müller  <mirco.mueller@ubuntu.com>

	made rendering of title- and body-text not overlap and adapt to icon

2008-12-06  Mirco Müller  <mirco.mueller@ubuntu.com>

	added gloss-effect to bubble background, made value display relative and match visual concept of design-team

2008-12-06  Mirco Müller  <mirco.mueller@ubuntu.com>

	merging David's change regarding DBus name-request

2008-12-06  David Barth  <david.barth@canonical.com>

	turned the service into a singleton, preventing the existence of multiple competing instances on the bus

2008-12-06  Mirco Müller  <mirco.mueller@ubuntu.com>

	bubbles now respect top/bottom/left/right panels while positioning themselves

2008-12-06  Mirco Müller  <mirco.mueller@ubuntu.com>

	skip bubble from window-list

2008-12-05  Mirco Müller  <mirco.mueller@ubuntu.com>

	added support for passing int values via hints on DBus, extended test-notifications shell-script

2008-12-04  Mirco Müller  <mirco.mueller@ubuntu.com>

	general housekeeping

2008-12-04  Mirco Müller  <mirco.mueller@ubuntu.com>

	merged changes from David

2008-12-03  David Barth  <david.barth@canonical.com>

	fix for g_thread_* issue

2008-12-03  David Barth  <david.barth@canonical.com>

	add D-BUS activation service

2008-12-03  David Barth  <david.barth@canonical.com>

	fix install directory

2008-12-03  David Barth  <david.barth@canonical.com>

	fix install location

2008-12-03  David Barth  <david.barth@canonical.com>

	typo

2008-12-04  Mirco Müller  <mirco.mueller@ubuntu.com>

	added text-wrapping, more solid icon loading, updated test-suite for bubble, fixed finalize method

2008-12-04  Mirco Müller  <mirco.mueller@ubuntu.com>

	we no longer need stack-display.h

2008-12-03  Mirco Müller  <mirco.mueller@ubuntu.com>

	removed python-dependency, implemented DBus-glue in C in class stack

2008-12-03  David Barth  <david.barth@canonical.com>

	Add support for sliding bubble into a new position (along with a nice unit test); also better size/position defaults (to be de-harcoded by Mirco though)

2008-12-03  David Barth  <david.barth@canonical.com>

	add support for the other D-Bus methods in the f.d.o. notification spec

2008-12-01  David Barth  <david.barth@canonical.com>

	cleanups

2008-11-28  Mirco Müller  <mirco.mueller@ubuntu.com>

	merged my stuff with David's test-suite changes

2008-11-27  David Barth  <david.barth@canonical.com>

	Simplified the tests by using test suites and test cases added locally by the test modules

2008-11-27  David Barth  <david.barth@canonical.com>

	add some 'test' build targets

2008-11-28  Mirco Müller  <mirco.mueller@ubuntu.com>

	added svg-icon rendering, added stack implementation, extended and changed bubble API, tests for those still missing

2008-11-28  Mirco Müller  <mirco.mueller@ubuntu.com>

	added some test icons

2008-11-26  Mirco Müller  <mirco.mueller@ubuntu.com>

	Merging David's GObject-ification of the bubble module and his first working DBus-call-to-bubble-display chain

2008-11-26  David Barth  <david.barth@canonical.com>

	Merge from main branch

2008-11-26  David Barth  <david.barth@canonical.com>

	GObject'ification of the bubble module; closed the loop with the D-Bus call, we now have a full path of code from the remote D-Bus call to the display of a notification bubble\!

2008-11-26  Mirco Müller  <mirco.mueller@ubuntu.com>

	more work on the unit-test suite, works now and reports can be created

2008-11-26  Mirco Müller  <mirco.mueller@ubuntu.com>

	some housekeeping regarding files to exclude from revision-control

2008-11-26  Mirco Müller  <mirco.mueller@ubuntu.com>

	merge python-related changes from David

2008-11-26  David Barth  <david.barth@canonical.com>

	fixed compile warnings to restore the build

2008-11-26  Mirco Müller  <mirco.mueller@ubuntu.com>

	added glib-based unit-tests

2008-11-26  Mirco Müller  <mirco.mueller@ubuntu.com>

	more housekeeping

2008-11-26  Mirco Müller  <mirco.mueller@ubuntu.com>

	tried so solve conflicts between David's and my branch

2008-11-26  David Barth  <david.barth@canonical.com>

	add (not so) fake D-Bus interface

2008-11-25  Mirco Müller  <mirco.mueller@ubuntu.com>

	added new modules

2008-11-25  Mirco Müller  <mirco.mueller@ubuntu.com>

	bit of housekeeping

2008-11-25  David Barth  <david.barth@canonical.com>

	merging macslow's changes

2008-11-21  Mirco Müller  <mirco.mueller@ubuntu.com>

	exclude anjuta-related files from revision control

2008-11-21  Mirco Müller  <mirco.mueller@ubuntu.com>

	exclude temporarily created files from revision control

2008-11-25  David Barth  <david.barth@canonical.com>

	create a test function in the stack-display module

2008-11-20  David Barth  <david.barth@canonical.com>

	split test program into a few modules

2008-11-20  David Barth  <david.barth@canonical.com>

	even even more autotool stuff

2008-11-20  David Barth  <david.barth@canonical.com>

	even more autotool stuff

2008-11-20  David Barth  <david.barth@canonical.com>

	more autotool stuff

2008-11-20  David Barth  <david.barth@canonical.com>

	autotool'ization

2008-11-20  Mirco Müller  <mirco.mueller@ubuntu.com>

	initial commit, moved from lp:~bling-brigade/dx-prototypes/trunk

